<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Users extends CI_Migration
{

    public function up()
    {
        $fields = array(
            'branch_id' => array(
                'type' => 'INT',
                'constraint' => 11,
                'null' => true,
                'unsigned' => true,

            ),


        );
        $this->dbforge->add_column('users', $fields);

        $data = array(
            'id' => '5',
            'name' => 'branch_manager',
            'description' => 'Branch Manager'
        );

        $this->db->insert('groups', $data);
    }

    public function down()
    {
        $this->dbforge->drop_column('users', 'branch_id');
        $this->db->delete('groups', array('id' => 5));  // Produces: // DELETE FROM mytable  // WHERE id = $id
    }
}
