<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Delivery_Options extends CI_Migration
{

    public function up(){ 
	$fields = array(
	  'delivery_methods' => array(
		'type' => 'VARCHAR',
		'default' => 'delivery',
		'null' => false,
		'constraint' => '50',
		'after' => 'delivery_time', 
		'collation' => 'utf8_general_ci'
	  )
	);
	$this->dbforge->add_column('site_settings', $fields);
	 $fields = array(
                'order_type' => array(
                'type' => 'ENUM("delivery","takeaway","Digital Product")',
                'default' => 'delivery',
                'null' => false
            )

        );
	$this->dbforge->modify_column('orders', $fields);
  }
 
  public function down(){
    $this->dbforge->drop_column('site_settings', 'delivery_methods');
	$fields = array(
                'order_type' => array(
                'type' => 'ENUM("delivery","takeaway")',
                'default' => 'delivery',
                'null' => false
            )

        );
	$this->dbforge->modify_column('orders', $fields);
  }
}
