<?php
/**
 *
 * @category  Crunchymodel
 * 
 * @since     Version 1.0.0
 */  
if ( ! defined('BASEPATH')) exit('No direct script access allowed');
/**
 * CodeIgniter Crunchymodel
 * 
 * Crunchymodel operations.
 *
 * @category  Crunchymodel
 * 
 */
class Crunchy_model extends CI_Model
{	
	/**
    | -----------------------------------------------------
    | ----------------------------------------------------
    |
    | MODULE:           CRUNCHY MODEL
    | -----------------------------------------------------
    | This is CRUNCHY MODEL file.
    | -----------------------------------------------------
     **/
	public function __construct()
	{
		parent::__construct();
		$this->load->database();
	}
		
	
	

	/**
	 * [getAddonGroupsDropdown description]
	 * @return [type] [description]
	 */
	function getAddonGroupsDropdown()
	{
		$addonGroups = $this->base_model->run_query('SELECT ag.adgrp_id,ag.addon_group_name  FROM dn_groups_addons ga,dn_addon_groups ag WHERE ag.adgrp_id=ga.adgrp_id group by ag.adgrp_id');
		$option_data = array(
            '' => 'Select'
        );
		if(!empty($addonGroups)){
			foreach ($addonGroups as $key => $val) {
				$option_data[$val->adgrp_id] = $val->addon_group_name;
			}
  }
		return $option_data;
	}
	

	/**
	 * [getItemAddons description]
	 * @param  [type] $item_id [description]
	 * @return [type]          [description]
	 */
	function getItemAddons($item_id)
	{
		return $this->base_model->get_query_result('SELECT a.*,ia.* FROM '.TBL_PREFIX.TBL_ADDONS.' a,'.TBL_PREFIX.TBL_ITEM_ADDONS.' ia WHERE ia.item_id='.$item_id.' AND a.status="Active" AND ia.addon_id=a.addon_id');
	}
	

	/**
	 * [get_addon_details description]
	 * @param  string $addon_id [description]
	 * @return [type]           [description]
	 */
	function get_addon_details($addon_id = "")
	{
		if(!($addon_id > 0))
			return array();

		$addon_details = $this->db->get_where(TBL_ADDONS, array('addon_id' => $addon_id, 'status' => 'Active'))->row();

		return $addon_details;
	}
	

	

	/**
	 * [getItemOptions description]
	 * @param  [type] $item_id        [description]
	 * @param  string $item_option_id [description]
	 * @return [type]                 [description]
	 */
	function getItemOptions($item_id,$item_option_id='')
	{
		$cond1 = "";
			
		if($item_option_id > 0)
			$cond1 = " AND i.option_id=".$item_option_id." ";
		
		
		$record = $this->base_model->get_query_result("SELECT o.*,i.* FROM ".TBL_PREFIX.TBL_OPTIONS." o inner join ".TBL_PREFIX.TBL_ITEM_OPTIONS." i on o.option_id=i.option_id WHERE i.item_id=".$item_id." AND o.status='Active' ".$cond1." ");
		
		return $record;
	}
	
	function get_tap_business()
	{
		
		
		$record = $this->base_model->get_query_result("SELECT * FROM ".TBL_PREFIX.TBL_TAP_BUSINESS);
		
		return $record;
	}
	

	/**
	 * [saveUserPoints description]
	 * @param  [type] $user_id          [description]
	 * @param  [type] $points           [description]
	 * @param  [type] $transaction_type [description]
	 * @param  string $order_id         [description]
	 * @param  string $purpose          [description]
	 * @return [type]                   [description]
	 */
	
}
