<style>
	.multiheader tr {
		margin-bottom: 6px;
	}

	.multiheader thead.inner tr {
		background-color: #efefef;
	}

	.multiheader td {
		padding: 10px;
	}
</style>
<div id="page-wrapper">


	<div class="row">
		<div class="col-md-12">



			<!-- Advanced Tables -->
			<div class="panel panel-default">
				<div class="panel-heading">
					<?php if (!empty($pagetitle)) echo $pagetitle; ?>
				</div>
				<div class="panel-body">


					<?php echo $this->session->flashdata('message');
					echo form_open(URL_ADDEDIT_DELIVERY_LOCATION, array('name' => 'area_form', 'id' => 'area_form'));
					?>

					<div class="table-responsive">
						<table class="display responsive nowrap multiheader" width="100%" cellspacing="0">
							<thead>
								<tr>
									<th>Area</th>
									<th>Notification Email</th>
									<th><?php echo get_languageword('status'); ?></th>
									<th>Branch</th>
									<th><?php echo get_languageword('actions'); ?></th>
								</tr>
							</thead>
							<tr>
								<td colspan="5">

									<button type="submit" class="btn btn-primary pull-right" id="addedit_location" name="addedit_location">Update</button>
								</td>
							</tr>

							<?php


							foreach ($areas as $dist => $area) { ?>
								<thead class="inner">
									<tr>
										<th colspan="5" scope="colgroup" class="text-center"><?php echo $dist; ?></th>
									</tr>
								</thead>
								<tbody>
									<?php foreach ($area as $record) { ?>

										<tr>

											<td>
												<?php echo $record['locality']; ?>
											</td>
											<td>

												<input class="form-control emailf" type="text" style="width:85%; display: inline-block; " placeholder="Notification Email Address" name="area_<?php echo $record['service_provide_location_id']; ?>" id="email_<?php echo $record['service_provide_location_id']; ?>" value="<?php echo $record['area_email']; ?>" /> <a href="javascript:void(0)" onClick="copyData('email_<?php echo $record['service_provide_location_id']; ?>')" style="display: inline-block; width:10%; padding:1%;"><i class="fa fa-copy"></i></a>
											</td>
											<td>
												<?php
												$class = 'badge danger';
												if ($record['status'] == 'Active') {
													$checked = ' checked';
													$class = 'badge success';
												}
												?>
												<span class="<?php echo $class; ?>"><?php echo $record['status']; ?></span>
											</td>
											<td>

												<select class="form-control branchf" required="required" name="branch_<?php echo $record['service_provide_location_id']; ?>" id="branch_<?php echo $record['service_provide_location_id']; ?>" style="width:85%; display:inline-block;">

													<option value="">Select</option>
													<?php foreach ($branches as $b) : ?>
														<option <?php echo ($b->branches_id==$record['branch_id'])? "selected='selected'" : ""; ?>" value="<?php echo $b->branches_id; ?>"><?php echo $b->branches_title; ?></option>
													<?php endforeach; ?>
												</select>
												<a href="javascript:void(0)" onClick="copyData2('branch_<?php echo $record['service_provide_location_id']; ?>')" style="display: inline-block; width:10; padding:1%;"><i class="fa fa-copy"></i></a>
												<?php echo form_error('branch_'.$record['service_provide_location_id']);?>
											</td>
											<td>

												<select class="form-control" name="status_<?php echo $record['service_provide_location_id']; ?>">

													<option value="">Select</option>
													<option value="Active">Activate</option>
													<option value="Inactive">Deactivate</option>
												</select>
											</td>
										<?php
									} ?>
								</tbody>
							<?php
							}

							?>


							<tfoot>
								<tr>
									<td colspan="5">

										<button type="submit" class="btn btn-primary pull-right" id="addedit_location" name="addedit_location">Update</button>
									</td>
								</tr>
							</tfoot>

							<tbody>

							</tbody>
						</table>
					</div>
				</div>
			</div>
		</div>
	</div>

	<!--End Advanced Tables -->
</div>
<?php $this->load->view('modals/delete-modal'); ?>
<script>
	function copyData(id) {

		email = $('#' + id).val();
		$('.emailf').each(function() {

			$(this).val(email);

		});

	}

	function copyData2(id) {

		branch = $('#' + id).val();
		$('.branchf').each(function() {

			$(this).val(branch);

		});

	}
</script>
<?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

	<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
	<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>
	<script type="text/javascript">
		$(document).ready(function() {


		});
	</script>
<?php } ?>