  <div id="page-wrapper">
            
               <div class="row">
                <div class="col-md-12">
				<?php echo $this->session->flashdata('message'); ?>
                    <!-- Form Elements -->
                    <div class="panel panel-default">
						
                        <div class="panel-heading">
                            <?php if(isset($pagetitle)) echo $pagetitle;?>
							
							<a title="<?php echo get_languageword('go_to_list'); ?>" class="btn btn-primary btn-xs pull-right" href="<?php echo URL_BRANCH_MANAGERS_INDEX;?>"><i class="fa fa-list"></i>
							</a>
                        </div>
                        <div class="panel-body">
						 
                            <div class="row">
							<?php
						$attributes = array('name'=>'branch_form','id'=>'branch_form');
						echo form_open_multipart(URL_ADDEDIT_BRANCH_MANAGER,$attributes);?>
							
                       <div class="col-md-6">
                                 
						<div class="form-group">
						 <label>Full Name<?php echo required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->username;
						}
						else if(isset($_POST))
						{
							$val = set_value('username');
						}
						
						$element = array('name'=>'username',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('username');
						?>
					  </div>
					  <div class="form-group">
						 <label>Email Address<?php echo required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->email;
						}
						else if(isset($_POST))
						{
							$val = set_value('email');
						}
						
						$element = array('name'=>'email',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('email');
						?>
					  </div>
					  <div class="form-group">
						 <label>Password<?php echo required_symbol();?></label>
						 <?php if(isset($record) && !empty($record)): ?>
							<br/><small>Leave Blank to Keep the Same Password</small>
						<?php
						endif;
						$val='';
						 if(isset($_POST))
						{
							$val = set_value('password');
						}
						
						$element = array('name'=>'password',
						'value'=>$val,
						'type' => 'password',
						'class'=>'form-control');
						echo form_input($element).form_error('password');
						?>
					  </div>
					  <div class="form-group">
						 <label>Phone<?php echo required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->phone;
						}
						else if(isset($_POST))
						{
							$val = set_value('phone');
						}
						
						$element = array('name'=>'phone',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('phone');
						?>
					  </div>
					  <div class="form-group">
						 <label>Branch<?php echo required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branch_id;
						}
						else if(isset($_POST))
						{
							$val = set_value('branch_id');
						}
						$ddo = array();

							
					
						foreach($branches as $b) {
							$ddo[$b->branches_id] = $b->branches_title; 
						}
						
						echo form_dropdown('branch_id',$ddo,$val,'class="chzn-select form-control"').form_error('branch_id');
						?>
					  </div>
					
					
					
					<div class="form-group">
						 <label><?php echo get_languageword('status').required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->active;
						}
						else if(isset($_POST))
						{
							$val = set_value('status');
						}
						
						
						echo form_dropdown('status',$status_options,$val,'class="chzn-select form-control"').form_error('status');
						?>
					  </div>
					
					<div class="form-group pull-right">
						<?php 
						$value='';
						if(isset($record))
						{
							$value = $record->id;
						}
						echo form_hidden('branch_manager_id',$value);?>
						
						<button type="submit" name="addedit_branch_manager" value="addedit_branch_manager" class="btn btn-primary"><?php echo get_languageword('save');?></button>
						
						<a class="btn btn-warning" href="<?php echo URL_BRANCH_MANAGERS_INDEX;?>"><?php echo get_languageword('cancel');?></a>
					</div>
					
					
                        </div>
								<?php echo form_close();?>
                            </div>
                        </div>
                    </div>
                     <!-- End Form Elements -->
                </div>
            </div>
    
        <!-- /. PAGE INNER  -->
            </div>
        <!-- /. PAGE WRAPPER  -->
		
		
<!-- Form Validation Plugins /Start -->
<?php if(!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR;?>" rel="stylesheet">
<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR;?>"></script>
<script type="text/javascript">
    $(document).ready(function () {
		
        $('#branch_form').bootstrapValidator({
            // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
            /* feedbackIcons: {
                valid: 'glyphicon glyphicon-ok',
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            }, */
			framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                username: {
                    validators: {
                        notEmpty: {
                            message: 'Full name is required.'
                        }
                    }
                },
                email: {
                    validators: {
                        notEmpty: {
                            message: 'Email address is required.'
                        }
                    }
                },
				phone: {
                    validators: {
                        notEmpty: {
                            message: 'Phone number is required.'
                        }
                    }
                },
				branch_id: {
                        notEmpty: {
                            message: 'Branch is required.'
                        }
                    },
                
				status: {
                    validators: {
                        notEmpty: {
                            message: 'Status is required.'
                        }
                    }
                }
				
			
            },
			 submitHandler: function(validator, form, submitButton) {
				form.submit();
			}
        })
    });
</script>
<?php } ?>

