  <div id="page-wrapper">

  	<div class="row">
  		<div class="col-md-12">
  			<?php echo $this->session->flashdata('message'); ?>
  			<!-- Form Elements -->
  			<div class="panel panel-default">

  				<div class="panel-heading">
  					<?php if (isset($pagetitle)) echo $pagetitle;

						$currency = $this->config->item('site_settings')->currency_symbol;

						$count = count($order_products);
						?>


  				</div>

  				<div class="panel-body">

  					<div class="row">

  						<div class="col-md-6">



  							<ul class="table-list ul">

  								<li><span><?php echo get_languageword('order_no'); ?>:</span><?php if (isset($order->order_id)) echo $order->order_id; ?></li>


  								<li><span><?php echo get_languageword('order_date'); ?>:</span><?php if (isset($order->order_date) && $order->order_date != '') echo get_date($order->order_date); ?></li>


  								<li><span><?php echo get_languageword('order_time'); ?>:</span> <?php if (isset($order->order_time) && $order->order_time != '') echo $order->order_time; ?></li>


  								<li><span><?php echo get_languageword('delivery_cost'); ?>:</span><?php if (isset($order->delivery_fee)) echo $currency . " " . returnPrice($order->delivery_fee); ?></li>


  								<li><span><?php echo get_languageword('order_cost'); ?>:</span><?php if (isset($order->total_cost)) echo $currency . " " . returnPrice(($order->total_cost - $order->delivery_fee)); ?></li>

  								<li><span>Order Type:</span><?php echo ucfirst($order->order_type); ?></li>


  								<li><span>Payment Method:</span><?php if (isset($order->payment_type)) {
																		if ($order->payment_type == 'cash') {
																			echo 'Cash on Delivery';
																		} else if ($order->payment_type == 'cashCard') {
																			echo 'Pay by Card on Delivery (Card Machine)';
																		} else if ($order->payment_type == 'benefitPay') {
																			echo 'Benefit Pay';
																		} else {
																			echo 'Credit/Debit Card';
																		}
																	} ?></li>

  								<?php if ($order->payment_type == 'online') : ?>
  									<li><span>Payment Status:</span><?php echo ucwords(strtolower($order->payment_status)); ?></li>
  									<li><span>TAP Transaction ID:</span><?php echo strtolower($order->transaction_id); ?></li>
  								<?php endif; ?>



  								<li><span>Order Date:</span><?php if (isset($order->date_created)) echo $order->date_created; ?></li>



  								<li><span><?php echo get_languageword('status'); ?>:</span><?php if (isset($order->status)) echo ucwords(str_replace('_', ' ', $order->status)); ?></li>

  								<?php
									$total_refund = ($total_refund) ? (float) $total_refund : 0;

									if ($total_refund < $order->total_cost && $order->payment_type == 'online' && isset($order->transaction_id) && $order->transaction_id != null && $order->transaction_id != '' && $order->payment_status == 'CAPTURED') { ?>
  									<li><span><a href="javascript:void(0)" id="toggleRefund"><strong>Refund</strong></a></li>
  								<?php } ?>



  							</ul>

  							<?php if ($total_refund < $order->total_cost && $order->payment_type == 'online' && isset($order->transaction_id) && $order->transaction_id != null && $order->transaction_id != '' && $order->payment_status == 'CAPTURED') { ?>
  								<div id="refund_section" style="display: none;">
  									<h6 style="color:red">WARNING: THE REFUNDS SECTION BELOW WILL REFUND THE ENTERED AMOUNT BACK TO CUSTOMER'S CREDIT OR DEBIT CARD. ONLY USE THIS SECTION IF YOU WANT TO REFUND THE MONEY BACK TO CUSTOMER. </h6>

  									<div class="col-md-6">
  										<?php
											$attributes = array('name' => 'refund_form', 'id' => 'refund_form');
											echo form_open(URL_REFUND, $attributes); ?>



  										<div class="form-group">
  											<label>Refund Amount <?php echo  required_symbol(); ?></label>
  											<?php
												$val = '';
												if (isset($_POST) && isset($_POST['refund_amount'])) {
													$val = $_POST['refund_amount'];
												}

												$element = array(
													'name' => 'refund_amount',
													'value' => $val,
													'class' => 'form-control',
													'id' => 'refund_amount',
													'type' => 'number',
													'min' => '0.01',
													'max' => $order->total_cost,
													'step' => '0.01',

												);
												echo form_input($element); ?>
  											Min Amount <?php echo $currency; ?> 0.01 . Max Amount <?php echo $currency . " " . $order->total_cost; ?>
  											<?php echo form_error('refund_amount');
												?>
  										</div>

  										<div class="form-group">
  											<label>Refund Reason<?php echo  required_symbol(); ?></label>
  											<?php
												$val = '';
												$options = array(
													'' => 'Please Select',
													'requested_by_customer' => 'Requested By Customer',
													'duplicate' => 'Duplicate Transaction',
													'fraudulent' => 'Fraudlent Transaction',

												);
												if (isset($_POST) && isset($_POST['refund_reason'])) {
													$val = set_value('refund_reason');
												}


												echo form_dropdown('refund_reason', $options, $val, 'id="refund_reason" class="chzn-select form-control"') . form_error('refund_reason');
												?>
  										</div>
  										<div class="form-group">
  											<label>Charge ID<?php echo  required_symbol(); ?></label>
  											<?php
												$val = $order->transaction_id;


												$element = array(
													'name' => 'charge_id',
													'value' => $val,
													'class' => 'form-control',
													'type' => 'text',
													'readonly' => 'readonly',
													'required' => 'required',
													'id' => 'charge_id'


												);
												echo form_input($element) . form_error('charge_id');
												?>

  										</div>
  										<div class="form-group">
  											<label>


  												By clicking this checkbox you understand that the refunds are permanent and this action can't be reversed.</label>
  											<?php


												$element = array(
													'name' => 'confirm_refund',
													'value' => 1,
													'class' => 'form-control',
													'type' => 'checkbox',
													'required' => 'required',
													'id' => 'confirm_refund'



												);
												echo form_input($element); ?>
  											<?php
												form_error('confirm_refund');
												?>

  										</div>
  										<div class="form-group">
  											<input type="submit" class="btn btn-danger" type="submit" id="refund_submit" name="refund_submit" value="Submit" />
  										</div>
  									</div>
  								</div>

  							<?php
								}
								?>

  							<?php if (isset($order_refunds) && !empty($order_refunds)) { ?>
  								<!--ORDER REFUNDS-->
  								<br style="clear:both; " />
  								<h3>Refunds</h3>


  								<div class="table-responsive table1">
  									<table cellspacing="10" width="100%" id="example" class="display responsive nowrap" border="1">
  										<thead>
  											<tr>
  												<th>#</th>
  												<th>Refund Amount</th>
  												<th>Refund Date</th>


  											</tr>
  										</thead>


  										<tbody>
  											<?php
												$i = 0;
												foreach ($order_refunds as $refund) :
													$i++; ?>
  												<tr>
  													<td><?php echo $i; ?></td>
  													<td><?php echo $refund->refund_amount; ?></td>
  													<td><?php echo $refund->refund_created_at; ?></td>

  												</tr>
  											<?php endforeach; ?>
  										</tbody>

  									</table>
  								</div>
  							<?php } ?>
  						</div>





  						<div class="col-md-6">

  							<ul class="table-list ul">

  								<li><span><?php echo get_languageword('customer_name'); ?>:</span><?php if (isset($order->customer_name)) echo $order->customer_name; ?></li>



  								<li><span><?php echo get_languageword('phone'); ?>:</span> <?php if (isset($order->phone)) echo $order->phone; ?></li>
  								<li><span>Email Address:</span> <?php if (isset($order->email_address)) echo $order->email_address; ?></li>


  								<?php if ($order->order_type != 'takeaway' && $order->order_type != 'Digital Product') : ?>
  									<li><span>Flat/House:</span> <?php if (isset($order->house_no)) echo $order->house_no; ?></li>


  									<li><span>Building:</span> <?php if (isset($order->building)) echo $order->building; ?></li>

  									<li><span>Road:</span> <?php if (isset($order->road)) echo $order->road; ?></li>
  									<li><span>Block:</span> <?php if (isset($order->block)) echo $order->block; ?></li>


  									<li><span>Area:</span> <?php if (isset($order->locality)) echo $order->locality . " (" . $order->govern . ")"; ?></li>

  								<?php elseif ($order->order_type != 'Digital Product') : ?>
  									<li><span>Branch:</span> <?php echo $branch[0]->branches_title; ?></li>
  								<?php endif; ?>
  							</ul>
  						</div>
  						<?php if (isset($order) && ($order->status != 'cancelled' && $order->status != 'delivered')) { ?>
  							<div class="form-group">
  								<div class="buttos text-right">
  									<a class="btn btn-success" data-toggle="modal" data-target="#update_Modal"><i class="fa fa-edit"></i> <?php echo get_languageword('order_update'); ?></a>
  								</div>
  							</div>
  						<?php } ?>
  					</div>


  					<!--ORDER ITEMS-->
  					<h3><?php echo get_languageword('order_items'); ?></h3>


  					<div class="table-responsive table1">
  						<table cellspacing="10" width="100%" id="example" class="display responsive nowrap" border="1">
  							<thead>
  								<tr>
  									<th>#</th>
  									<th><?php echo get_languageword('item_name'); ?></th>
  									<th>Options</th>
  									<th>Addons</th>
  									<th><?php echo get_languageword('item_cost'); ?></th>
  									<th><?php echo get_languageword('item_quantity'); ?></th>
  									<th><?php echo get_languageword('total_cost'); ?></th>

  								</tr>
  							</thead>

  							<?php if (isset($order_products) && !empty($order_products)) { ?>
  								<tbody>
  									<?php
										$i = 0;
										$order_items = array();
										foreach ($order_products as $product) :
											$i++;
											$items_addons = get_order_products_addons($product->item_id, $product->order_id);
											$addons_names = $items_addons['name'];
											$addons_price = $items_addons['price'];

											$item_cost = returnPrice($product->item_cost) + returnPrice($addons_price);
											$final_cost = $product->final_cost;

										?>
  										<tr>
  											<td><?php echo $i; ?></td>
  											<td><?php echo $product->item_name; ?></td>

  											<td>
  												<ul class="addons-table">
  													<?php
														foreach ($product->options as $pa) : ?>
  														<li>
  														<?php
															if (substr_count($pa->addon_name, ':') == 2) {
																
																echo preg_replace('/:/',' - ',$pa->addon_name ,1)  . " " . $currency . " +" . returnPrice($pa->final_cost) . '</li>';
															} else {
																echo $pa->addon_name  . " " . $currency . " +" . returnPrice($pa->final_cost) . '</li>';
															}


														endforeach;
															?>
  												</ul>
  											</td>
  											<td>
  												<ul class="addons-table">
  													<?php
														foreach ($product->addons as $pa) :
															echo '<li>' . $pa->addon_name . " x " . $pa->quantity . " " . $currency . " +" . returnPrice($pa->final_cost) . '</li>';

														endforeach;
														?>
  												</ul>
  											</td>

  											<td><?php echo $currency . " " . returnPrice($product->item_cost + $product->total_addons_cost); ?></td>
  											<td><?php echo $product->item_qty; ?></td>
  											<td><?php echo $currency . " " . returnPrice(($product->item_cost + $product->total_addons_cost) * $product->item_qty); ?></td>

  										</tr>
  									<?php endforeach; ?>
  									<?php if (isset($order->delivery_fee)) { ?>
  										<tr>
  											<td colspan="6" class="text-right"><strong><?php echo get_languageword('delivery_cost'); ?></strong></td>
  											<td> <?php echo $currency . " " . returnPrice($order->delivery_fee); ?> </td>
  										</tr>
  									<?php } ?>
  									<tr>
  										<td colspan="6" class="text-right"><strong><?php echo get_languageword('total_cost'); ?></strong></td>
  										<td> <?php echo $currency . " " . returnPrice($order->total_cost); ?> </td>
  									</tr>
  								</tbody>
  							<?php } ?>
  						</table>
  					</div>

  					<hr>
  					<div class="table-responsive table1">
  						<table cellspacing="10" width="100%" id="example" class="display responsive nowrap" border="1">
  							<thead>
  								<tr>
  									<th><strong><?php echo get_languageword('special_instructions '); ?>:</strong></th>
  								</tr>
  							</thead>
  							<tbody>
  								<td>
  									<p><?php if (isset($order->message)) echo $order->message; ?></p>
  								</td>
  							</tbody>
  						</table>
  					</div>

  				</div>
  				<!-- End Form Elements -->
  			</div>
  		</div>
  	</div>
  	<!-- /. PAGE INNER  -->
  </div>
  <!-- /. PAGE WRAPPER  -->


  <!--DELETE Modal-->
  <div id="deleteModal" class="modal fade" role="dialog">
  	<div class="order-modal-dialog">

  		<?php echo form_open(URL_DELETE_ORDER); ?>
  		<!-- Modal content-->
  		<div class="modal-content order-content">
  			<div class="order-modal-header">
  				<button type="button" class="close" data-dismiss="modal">&times;</button>
  				<h4 class="modal-title"><?php echo get_languageword('delete'); ?></h4>
  			</div>
  			<div class="modal-body">
  				<p><?php echo get_languageword('are_you_sure_to_delete'); ?> ? </p>
  				<input type="hidden" name="delete_item_id" id="delete_item_id" value="">
  			</div>

  			<div class="order-modal-footer modal-footer">

  				<button type="submit" class="btn btn-primary" name="delete_item"><?php echo get_languageword('yes'); ?></button>

  				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo get_languageword('no'); ?></button>
  			</div>

  		</div>
  		<?php echo form_close(); ?>
  	</div>
  </div>
  <!--DELETE Modal-->


  <!--UPDATE Modal-->
  <div class="modal fade" id="update_Modal" role="dialog">
  	<div class="order-modal-dialog">

  		<?php echo form_open(URL_UPDATE_ORDER, array('id' => 'order_status_form')); ?>
  		<!-- Modal content-->
  		<div class="modal-content order-content">
  			<div class="order-modal-header">
  				<button type="button" class="close" data-dismiss="modal">&times;</button>
  				<h4 class="modal-title"><?php echo get_languageword('update'); ?></h4>
  			</div>
  			<div class="modal-body">

  				<div class="form-group">
  					<label><?php echo get_languageword('update_order_status') . required_symbol(); ?></label>
  					<?php

						if ($order->status == 'new') {
							$status = array(
								'' => get_languageword('select'),
								'delivered' => get_languageword('delivered'),
								'cancelled' => get_languageword('cancelled')
							);
							$val = '';
							echo form_dropdown('order_status', $status, $val, 'class="form-control chzn-select" ');
						} else if ($order->status == 'process') {
							$status = array(
								'' => get_languageword('select'),
								'out_to_deliver' => get_languageword('out_to_deliver'),
								'delivered' => get_languageword('delivered'),
								'cancelled' => get_languageword('cancelled')
							);
							$val = '';
							echo form_dropdown('order_status', $status, $val, 'class="form-control chzn-select" ');
						} else if ($order->status == 'out_to_deliver') {
							$status = array(
								'' => get_languageword('select'),
								'delivered' => get_languageword('delivered'),
								'cancelled' => get_languageword('cancelled')
							);
							$val = '';
							echo form_dropdown('order_status', $status, $val, 'class="form-control chzn-select" ');
						}


						?>
  				</div>


  				<input type="hidden" name="order_id" id="order_id" value="<?php echo $order->order_id; ?>">
  			</div>
  			<div class="order-modal-footer modal-footer">

  				<button type="submit" name="update_order_status" class="btn btn-primary"><?php echo get_languageword('yes'); ?></button>

  				<button type="button" class="btn btn-default" data-dismiss="modal"><?php echo get_languageword('no'); ?></button>
  			</div>
  		</div>
  		<?php echo form_close(); ?>

  	</div>
  </div>
  <!--UPDATE Modal-->

  <script type="text/javascript">
  	function delete_item(order_id, item_id, item_type) {
  		var item = order_id + "=" + item_id + "=" + item_type;
  		$("#delete_item_id").val(item);
  	}
  </script>

  <script type="text/javascript" src="<?php echo JS_VALIDATE_MIN; ?>"></script>
  <script type="text/javascript">
  	(function($, W, D) {
  		var JQUERY4U = {};

  		JQUERY4U.UTIL = {
  			setupFormValidation: function() {
  				//Additional Methods

  				//form validation rules
  				$("#order_status_form").validate({
  					ignore: "",
  					rules: {
  						order_status: {
  							required: true,
  						}

  					},

  					messages: {
  						order_status: {
  							required: "<?php echo get_languageword('please_select_order_status'); ?>"
  						}
  					},

  					submitHandler: function(form) {
  						form.submit();
  					}
  				});
  				$("#refund_form").validate({
  					ignore: "",
  					rules: {
  						refund_reason: {
  							required: true
  						},
  						refund_amount: {
  							required: true,

  						},
  						charge_id: {
  							required: true
  						},
  						confirm_refund: {
  							required: true
  						},


  					},

  					messages: {
  						refund_reason: {
  							required: "Please select refund reason."
  						},
  						refund_amount: {
  							required: "Please enter refund amount.",



  						},
  						charge_id: {
  							required: "Unable to retrieve charge id. If problem persists, please contact us."
  						},
  						confirm_refund: {
  							required: "<br/>Please check this box."
  						},


  					},

  					submitHandler: function(form) {
  						var r_amount = $('#refund_amount').val();

  						var confirmation = confirm("Are you sure you want to refund <?php echo $currency; ?> " + r_amount + " back to customer?")
  						if (confirmation) {
  							form.submit();

  						}
  					}
  				});
  			}
  		}

  		//when the dom has loaded setup form validation rules
  		$(D).ready(function($) {

  			$('#toggleRefund').click(function() {
  				$('#refund_section').toggle();
  			});
  			JQUERY4U.UTIL.setupFormValidation();
  		});

  	})(jQuery, window, document);
  </script>
  <style>
  	label.error {
  		display: block;
  	}
  </style>