  <div id="page-wrapper">

  	<div class="row">
  		<div class="col-md-12">
  			<?php echo $this->session->flashdata('message'); ?>
  			<!-- Form Elements -->
  			<div class="panel panel-default">

  				<div class="panel-heading">
  					<?php if (isset($pagetitle)) echo $pagetitle; ?>
  				</div>
  				<div class="panel-body">

  					<div class="row">

  						<?php
							$attributes = array('name' => 'site_settings_from', 'id' => 'site_settings_from');
							echo form_open_multipart(URL_PAYMENT_SETTINGS, $attributes); ?>
  						<div class="col-md-6">
  							<div class="form-group">
  								<legend>Business Details <?php echo required_symbol(); ?></legend>
  							</div>
  							<div class="form-group">
  								<label>Business Name<?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('business_title');
									}

									$element = array(
										'name' => 'business_title',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('business_title');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									Business Type <?php echo required_symbol(); ?>
  								</label>
  								<?php $val = '';
									$options = [
										'corp'  => 'Corporate Business',
										'ind'    => 'Individual',

									];
									if (isset($_POST)) {
										$val = set_value('business_type');
									}
									echo form_dropdown('business_type', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('business_type');										?>
  							</div>
  							<div class="form-group">
  								<label>Business Legal Name<?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('business_legal_name');
									}

									$element = array(
										'name' => 'business_legal_name',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('business_legal_name');
									?>
  							</div>
  							<br style="clear:fix" ; />
  							<div class="form-group clearfix">
  								<label>IBAN Number of Bank Account<?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('iban');
									}

									$element = array(
										'name' => 'iban',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('iban');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									Is Licensed?
  								</label>
  								<?php $val = '';
									$options = [
										'true'  => 'Yes',
										'false'    => 'No',

									];
									if (isset($_POST)) {
										$val = set_value('is_licensed');
									}
									echo form_dropdown('is_licensed', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('is_licensed');										?>
  							</div>
  							<div class="form-group">
  								<label>License Number</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('license_number');
									}

									$element = array(
										'name' => 'license_number',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('license_number');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									Non-profit Organization?
  								</label>
  								<?php $val = '';
									$options = [
										'false' => 'No',
										'true'  => 'Yes'


									];
									if (isset($_POST)) {
										$val = set_value('non_profit');
									}
									echo form_dropdown('non_profit', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('non_profit');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									Business Country <?php echo required_symbol(); ?>
  								</label>
  								<?php $val = '';
									$country_options = [
										"" => "Select One",
										"AFG" => "Afghanistan",
										"ALA" => "Åland Islands",
										"ALB" => "Albania",
										"DZA" => "Algeria",
										"ASM" => "American Samoa",
										"AND" => "Andorra",
										"AGO" => "Angola",
										"AIA" => "Anguilla",
										"ATA" => "Antarctica",
										"ATG" => "Antigua and Barbuda",
										"ARG" => "Argentina",
										"ARM" => "Armenia",
										"ABW" => "Aruba",
										"AUS" => "Australia",
										"AUT" => "Austria",
										"AZE" => "Azerbaijan",
										"BHS" => "Bahamas",
										"BHR" => "Bahrain",
										"BGD" => "Bangladesh",
										"BRB" => "Barbados",
										"BLR" => "Belarus",
										"BEL" => "Belgium",
										"BLZ" => "Belize",
										"BEN" => "Benin",
										"BMU" => "Bermuda",
										"BTN" => "Bhutan",
										"BOL" => "Bolivia, Plurinational State of",
										"BES" => "Bonaire, Sint Eustatius and Saba",
										"BIH" => "Bosnia and Herzegovina",
										"BWA" => "Botswana",
										"BVT" => "Bouvet Island",
										"BRA" => "Brazil",
										"IOT" => "British Indian Ocean Territory",
										"BRN" => "Brunei Darussalam",
										"BGR" => "Bulgaria",
										"BFA" => "Burkina Faso",
										"BDI" => "Burundi",
										"KHM" => "Cambodia",
										"CMR" => "Cameroon",
										"CAN" => "Canada",
										"CPV" => "Cape Verde",
										"CYM" => "Cayman Islands",
										"CAF" => "Central African Republic",
										"TCD" => "Chad",
										"CHL" => "Chile",
										"CHN" => "China",
										"CXR" => "Christmas Island",
										"CCK" => "Cocos (Keeling) Islands",
										"COL" => "Colombia",
										"COM" => "Comoros",
										"COG" => "Congo",
										"COD" => "Congo, the Democratic Republic of the",
										"COK" => "Cook Islands",
										"CRI" => "Costa Rica",
										"CIV" => "Côte d'Ivoire",
										"HRV" => "Croatia",
										"CUB" => "Cuba",
										"CUW" => "Curaçao",
										"CYP" => "Cyprus",
										"CZE" => "Czech Republic",
										"DNK" => "Denmark",
										"DJI" => "Djibouti",
										"DMA" => "Dominica",
										"DOM" => "Dominican Republic",
										"ECU" => "Ecuador",
										"EGY" => "Egypt",
										"SLV" => "El Salvador",
										"GNQ" => "Equatorial Guinea",
										"ERI" => "Eritrea",
										"EST" => "Estonia",
										"ETH" => "Ethiopia",
										"FLK" => "Falkland Islands (Malvinas)",
										"FRO" => "Faroe Islands",
										"FJI" => "Fiji",
										"FIN" => "Finland",
										"FRA" => "France",
										"GUF" => "French Guiana",
										"PYF" => "French Polynesia",
										"ATF" => "French Southern Territories",
										"GAB" => "Gabon",
										"GMB" => "Gambia",
										"GEO" => "Georgia",
										"DEU" => "Germany",
										"GHA" => "Ghana",
										"GIB" => "Gibraltar",
										"GRC" => "Greece",
										"GRL" => "Greenland",
										"GRD" => "Grenada",
										"GLP" => "Guadeloupe",
										"GUM" => "Guam",
										"GTM" => "Guatemala",
										"GGY" => "Guernsey",
										"GIN" => "Guinea",
										"GNB" => "Guinea-Bissau",
										"GUY" => "Guyana",
										"HTI" => "Haiti",
										"HMD" => "Heard Island and McDonald Islands",
										"VAT" => "Holy See (Vatican City State)",
										"HND" => "Honduras",
										"HKG" => "Hong Kong",
										"HUN" => "Hungary",
										"ISL" => "Iceland",
										"IND" => "India",
										"IDN" => "Indonesia",
										"IRN" => "Iran, Islamic Republic of",
										"IRQ" => "Iraq",
										"IRL" => "Ireland",
										"IMN" => "Isle of Man",
										"ISR" => "Israel",
										"ITA" => "Italy",
										"JAM" => "Jamaica",
										"JPN" => "Japan",
										"JEY" => "Jersey",
										"JOR" => "Jordan",
										"KAZ" => "Kazakhstan",
										"KEN" => "Kenya",
										"KIR" => "Kiribati",
										"PRK" => "Korea, Democratic People's Republic of",
										"KOR" => "Korea, Republic of",
										"KWT" => "Kuwait",
										"KGZ" => "Kyrgyzstan",
										"LAO" => "Lao People's Democratic Republic",
										"LVA" => "Latvia",
										"LBN" => "Lebanon",
										"LSO" => "Lesotho",
										"LBR" => "Liberia",
										"LBY" => "Libya",
										"LIE" => "Liechtenstein",
										"LTU" => "Lithuania",
										"LUX" => "Luxembourg",
										"MAC" => "Macao",
										"MKD" => "Macedonia, the former Yugoslav Republic of",
										"MDG" => "Madagascar",
										"MWI" => "Malawi",
										"MYS" => "Malaysia",
										"MDV" => "Maldives",
										"MLI" => "Mali",
										"MLT" => "Malta",
										"MHL" => "Marshall Islands",
										"MTQ" => "Martinique",
										"MRT" => "Mauritania",
										"MUS" => "Mauritius",
										"MYT" => "Mayotte",
										"MEX" => "Mexico",
										"FSM" => "Micronesia, Federated States of",
										"MDA" => "Moldova, Republic of",
										"MCO" => "Monaco",
										"MNG" => "Mongolia",
										"MNE" => "Montenegro",
										"MSR" => "Montserrat",
										"MAR" => "Morocco",
										"MOZ" => "Mozambique",
										"MMR" => "Myanmar",
										"NAM" => "Namibia",
										"NRU" => "Nauru",
										"NPL" => "Nepal",
										"NLD" => "Netherlands",
										"NCL" => "New Caledonia",
										"NZL" => "New Zealand",
										"NIC" => "Nicaragua",
										"NER" => "Niger",
										"NGA" => "Nigeria",
										"NIU" => "Niue",
										"NFK" => "Norfolk Island",
										"MNP" => "Northern Mariana Islands",
										"NOR" => "Norway",
										"OMN" => "Oman",
										"PAK" => "Pakistan",
										"PLW" => "Palau",
										"PSE" => "Palestinian Territory, Occupied",
										"PAN" => "Panama",
										"PNG" => "Papua New Guinea",
										"PRY" => "Paraguay",
										"PER" => "Peru",
										"PHL" => "Philippines",
										"PCN" => "Pitcairn",
										"POL" => "Poland",
										"PRT" => "Portugal",
										"PRI" => "Puerto Rico",
										"QAT" => "Qatar",
										"REU" => "Réunion",
										"ROU" => "Romania",
										"RUS" => "Russian Federation",
										"RWA" => "Rwanda",
										"BLM" => "Saint Barthélemy",
										"SHN" => "Saint Helena, Ascension and Tristan da Cunha",
										"KNA" => "Saint Kitts and Nevis",
										"LCA" => "Saint Lucia",
										"MAF" => "Saint Martin (French part)",
										"SPM" => "Saint Pierre and Miquelon",
										"VCT" => "Saint Vincent and the Grenadines",
										"WSM" => "Samoa",
										"SMR" => "San Marino",
										"STP" => "Sao Tome and Principe",
										"SAU" => "Saudi Arabia",
										"SEN" => "Senegal",
										"SRB" => "Serbia",
										"SYC" => "Seychelles",
										"SLE" => "Sierra Leone",
										"SGP" => "Singapore",
										"SXM" => "Sint Maarten (Dutch part)",
										"SVK" => "Slovakia",
										"SVN" => "Slovenia",
										"SLB" => "Solomon Islands",
										"SOM" => "Somalia",
										"ZAF" => "South Africa",
										"SGS" => "South Georgia and the South Sandwich Islands",
										"SSD" => "South Sudan",
										"ESP" => "Spain",
										"LKA" => "Sri Lanka",
										"SDN" => "Sudan",
										"SUR" => "Suriname",
										"SJM" => "Svalbard and Jan Mayen",
										"SWZ" => "Swaziland",
										"SWE" => "Sweden",
										"CHE" => "Switzerland",
										"SYR" => "Syrian Arab Republic",
										"TWN" => "Taiwan, Province of China",
										"TJK" => "Tajikistan",
										"TZA" => "Tanzania, United Republic of",
										"THA" => "Thailand",
										"TLS" => "Timor-Leste",
										"TGO" => "Togo",
										"TKL" => "Tokelau",
										"TON" => "Tonga",
										"TTO" => "Trinidad and Tobago",
										"TUN" => "Tunisia",
										"TUR" => "Turkey",
										"TKM" => "Turkmenistan",
										"TCA" => "Turks and Caicos Islands",
										"TUV" => "Tuvalu",
										"UGA" => "Uganda",
										"UKR" => "Ukraine",
										"ARE" => "United Arab Emirates",
										"GBR" => "United Kingdom",
										"USA" => "United States",
										"UMI" => "United States Minor Outlying Islands",
										"URY" => "Uruguay",
										"UZB" => "Uzbekistan",
										"VUT" => "Vanuatu",
										"VEN" => "Venezuela, Bolivarian Republic of",
										"VNM" => "Viet Nam",
										"VGB" => "Virgin Islands, British",
										"VIR" => "Virgin Islands, U.S.",
										"WLF" => "Wallis and Futuna",
										"ESH" => "Western Sahara",
										"YEM" => "Yemen",
										"ZMB" => "Zambia",
										"ZWE" => "Zimbabwe"

									];
									if (isset($_POST)) {
										$val = set_value('business_country');
									}
									echo form_dropdown('business_country', $country_options, $val, 'class="form-control chzn-select" ');
									echo form_error('business_country');
									?>
  							</div>
  							<div class="form-group">
  								<label>Commercial Registration License
  									<br /><small>JPG or PNG format</small>
  								</label>
  								<input type="file" name="commercial_registration" title="Commercial Registration License">

  							</div>
  							<div class="form-group">
  								<label>Registration Number</label>

  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_registration_number');
									}

									$element = array(
										'name' => 'commercial_registration_number',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('commercial_registration_number');
									?>
  							</div>
  							<div class="form-group">
  								<label>Commercial Registration License Issuing Country
  									<br /><small>Required if Commercial Registration License registration number is entered.</small>
  								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_registration_issuing_country');
									}


									echo form_dropdown('commercial_registration_issuing_country', $country_options, $val, 'class="form-control chzn-select" ');
									echo form_error('commercial_registration_issuing_country');
									?>
  							</div>
  							<div class="form-group input-append date crunchy-append pastdatepicker clearfix">
  								<label>Commmercial Registeration License Issuing Date
  									<br /><small>Required if Commercial Registration License registration number is entered
  										<span class="add-on pull-right">
  											&nbsp; <i class="fa fa-clock-o"></i>
  										</span>
  									</small>
  								</label>

  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_registration_issuing_date');
									}
									$element = array(
										'name' => 'commercial_registration_issuing_date',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('commercial_registration_issuing_date');


									?>
  							</div>
  							<br style="clear:both" />
  							<div class="form-group input-append date crunchy-append pastdatepicker clearfix">
  								<label>Commmercial Registeration License Expiry Date
  									<br /><small>Required if Commercial Registration License registration number is entered.
  										<span class="add-on pull-right">
  											&nbsp; <i class="fa fa-clock-o"></i>
  										</span>

  									</small>
  								</label>

  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_registration_expiry_date');
									}
									$element = array(
										'name' => 'commercial_registration_expiry_date',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('commercial_registration_expiry_date');


									?>
  							</div>
  							<br style="clear:both;" />
  							<div class="form-group">
  								<label>Commercial Agreement
  									<br /><small>JPG or PNG format</small>
  								</label>
  								<input type="file" name="commercial_agreement" title="Commercial Agreement ">

  							</div>
  							<div class="form-group">
  								<label>Agreement Number</label>

  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_agreement_number');
									}

									$element = array(
										'name' => 'commercial_agreement_number',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('commercial_agreement_number');
									?>
  							</div>
  							<div class="form-group">
  								<label>Commercial Agreement Issuing Country
  									<br /><small>Required if Commercial Agreement number is entered.</small>
  								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_agreement_issuing_country');
									}
									echo form_dropdown('commercial_agreement_issuing_country', $country_options, $val, 'class="form-control chzn-select" ');
									echo form_error('commercial_agreement_issuing_country');
									?>
  							</div>
  							<div class="form-group input-append date crunchy-append pastdatepicker clearfix">
  								<label>Commercial Agreement Issuing Date
  									<br /><small>Required if Commercial Agreement number is entered.
  										<span class="add-on pull-right">
  											&nbsp; <i class="fa fa-clock-o"></i>
  										</span>
  									</small>
  								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('commercial_agreement_issuing_date');
									}
									$element = array(
										'name' => 'commercial_agreement_issuing_date',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('commercial_agreement_issuing_date');
									echo form_error('commercial_agreement_issuing_date');
									?>
  							</div>
  							<br style="clear:both" />
  							<div class="form-group input-append date crunchy-append pastdatepicker clearfix">
  								<label>Commercial Agreement Expiry Date
  									<br /><small>Required if Commercial Agreement number is entered.
  										<span class="add-on">
  											&nbsp; <i class="fa fa-clock-o"></i>
  										</span>
  									</small>

  								</label>
  								<?php
									$element = array(
										'name' => 'commercial_agreement_expiry_date',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element) . form_error('commercial_agreement_expiry_date');


									echo form_error('commercial_agreement_expiry_date');
									?>
  							</div>



  						</div>

  						<div class="col-md-6">




  							<div class="form-group">
  								<legend>Contact Person <?php echo required_symbol(); ?></legend>
  							</div>
  							<div class="form-group">
  								<label>Title <?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_title');
									}
									$element = array(
										'name' => 'contact_title',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_title');
									?>
  							</div>
  							<div class="form-group">
  								<label>First Name <?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_first');
									}
									$element = array(
										'name' => 'contact_first',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_first');
									?>
  							</div>

  							<div class="form-group">
  								<label>Middle Name</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_middle');
									}
									$element = array(
										'name' => 'contact_middle',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_middle');
									?>
  							</div>

  							<div class="form-group">
  								<label>Last Name <?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_last');
									}
									$element = array(
										'name' => 'contact_last',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_last');
									?>
  							</div>
  							<div class="form-group">
  								<label>Email Address<?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_email');
									}
									$element = array(
										'name' => 'contact_email',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_email');									?>
  							</div>

  							<div class="form-group">
								  <label>Business' Phone Number Country Code <?php echo required_symbol(); ?>
							<br/><small>Only numbers (e.g 973)</small>
								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_cc');
									}
									$element = array(
										'name' => 'contact_cc',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_cc');									?>
  							</div>

  							<div class="form-group">
								  <label>Phone Number <?php echo required_symbol(); ?>
								  <br/><small>Only numbers (e.g 3074334399)</small>
								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('contact_phone');
									}
									$element = array(
										'name' => 'contact_phone',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('contact_phone');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									Identity document Type
  								</label>
  								<?php $val = '';
									$options = [
										'' => 'Select if Available',
										'Identity Card' => 'Identity Card',
										'Passport'  => 'Passport'


									];
									if (isset($_POST)) {
										$val = set_value('id_type');
									}
									echo form_dropdown('id_type', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('id_type');

									?>
  							</div>
  							<div class="form-group">
  								<label>ID Document Front and Back
  									<br /><small>JPG or PNG format</small>
  								</label>
  								<input type="file" name="id_document_front" title="ID Document Front ">
  								<br /><input type="file" name="id_document_back" title="ID Document Back ">
  								<?php echo form_error('id_document_front'); ?>
  							</div>
  							<div class="form-group">
  								<label>Authorization Letter
  									<br /><small>JPG or PNG format</small>
  								</label>
  								<input type="file" name="id_authorization_letter" title="Authorization Letter ">

  							</div>

  							<div class="form-group">
  								<label>ID Issuing Country
  								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('id_issuing_country');
									}
									echo form_dropdown('id_issuing_country', $country_options, $val, 'class="form-control chzn-select" ');
									echo form_error('commercial_agreement_issuing_country');
									?>
  							</div>
  							<div class="form-group input-append date crunchy-append pastdatepicker clearfix">
  								<label>ID Issuing Date
  									<span class="add-on pull-right">
  										<i class="fa fa-clock-o"></i>
  									</span>

  								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('id_issuing_date');
									}
									$element = array(
										'name' => 'id_issuing_date',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('id_issuing_date');
									?>
  							</div>

  							<br style="clear:both" />
  							<div class="form-group input-append date crunchy-append pastdatepicker clearfix">
  								<label>ID Expiry Date
  									<span class="add-on">
  										<i class="fa fa-clock-o"></i>
  									</span>


  								</label>
  								<?php
									$element = array(
										'name' => 'id_expiry_date',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element) . form_error('id_expiry_date');


									?>
  							</div>
  							<div class="form-group clearfix">
  								<label>ID Number


  								</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('id_number');
									}
									$element = array(
										'name' => 'id_number',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('id_number');
									?>
  							</div>
  							<br style="clear:fix">
  							<div class="form-group">
  								<legend>Brand Details <?php echo required_symbol(); ?></legend>
  							</div>

  							<div class="form-group">
  								<label>Brand Name<?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('brand_name');
									}
									$element = array(
										'name' => 'brand_name',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element);
									echo form_error('brand_name');
									?>
  							</div>

  							<div class="form-group">
  								<label>Brand Sector</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('brand_sector');
									}
									$element = array(
										'name' => 'brand_sector',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element);
									echo form_error('brand_sector');
									?>
  							</div>
  							<div class="form-group">
  								<label>Brand Website</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('brand_website');
									}
									$element = array(
										'name' => 'brand_website',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element);
									echo form_error('brand_website');
									?>
  							</div>

  							<div class="form-group">
  								<label>Brand Social Links <br /><small>Comma Separated</small></label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('brand_social');
									}
									$element = array(
										'name' => 'brand_social',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element);
									echo form_error('brand_social');
									?>
  							</div>
  							<div class="form-group">
  								<label>Logo <?php echo required_symbol(); ?>
  									<br /><small>JPG or PNG format</small>
  								</label>
  								<input type="file" name="brand_logo" title="Logo ">

  							</div>

  							<div class="form-group">
  								<label>Tag Line</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('brand_tag');
									}
									$element = array(
										'name' => 'brand_tag',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element);
									echo form_error('brand_tag');
									?>
  							</div>

  							<div class="form-group">
  								<label>About Us</label>
  								<?php
									$val = '';
									if (isset($_POST)) {
										$val = set_value('brand_about');
									}
									$element = array(
										'name' => 'brand_about',
										'value' => $val,
										'class' => 'form-control '
									);
									echo form_input($element);
									echo form_error('brand_about');
									?>
  							</div>

  							<button type="submit" name="create_business" value="create_business" class="btn btn-primary">Submit</button>


  						</div>
  						<?php echo form_close(); ?>
  					</div>
  				</div>
  			</div>
  			<!-- End Form Elements -->
  		</div>
  	</div>

  	<!-- /. PAGE INNER  -->
  </div>
  <!-- /. PAGE WRAPPER  -->


  <!-- Form Validation Plugins /Start -->
  <link rel="stylesheet" type="text/css" media="screen" href="<?php echo CSS_TIMEPICKER_MIN; ?>">
  <script type="text/javascript" src="<?php echo JS_TIMEPICKER_MIN; ?>"></script>

  <?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

  	<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
  	<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>
  	<script type="text/javascript">
  		$(document).ready(function() {


  			$('.pastdatepicker').datetimepicker({

  				format: 'yyyy-MM-dd',
  			});
  		});
  	</script>



  <?php } ?>