<div id="page-wrapper">

    <div class="row">
        <div class="col-md-12">
            <?php echo $this->session->flashdata('message'); ?>
            <!-- Form Elements -->
            <div class="panel panel-default">

                <div class="panel-heading">
                    <?php if (isset($pagetitle)) echo $pagetitle; ?>
                </div>
                <div class="panel-body">

                    <div class="row">

                        <?php
                        $attributes = array('name' => 'operational_hours', 'id' => 'operational_hours');
                        echo form_open_multipart(URL_SITE_SETTINGS_OPERATIONAL, $attributes); ?>

                        <div class="col-md-8">
                            <label>Sunday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                             <?php
                                $val = '';
								if (isset($record) && !empty($record)) {
									if(empty($record->sunday_from_time)){
										$val = '11:00';
									}else{
										$val = $record->sunday_from_time;
									}
                                } else if (isset($_POST)) {
									if(empty(set_value('sunday_from_time'))){
										$val = '11:00';
									}else{
										$val = set_value('sunday_from_time');
									}
                                }
								
                                $element = array(
                                    'name' => 'sunday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('sunday_from_time');
                                ?>

                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                               <?php
                                $val ='23:00';
                                if (isset($record) && !empty($record)) {
									if(!empty($record->sunday_to_time)){
										$val = $record->sunday_to_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('sunday_to_time'))){
										$val = set_value('sunday_to_time');
									}
                                }

                                $element = array(
                                    'name' => 'sunday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('sunday_to_time');
                                ?>

                            </div>
							<div class="col-md-4 input-append crunchy-append ">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->sunday_close;
									} else if (isset($_POST)) {
										$val = set_value('sunday_close');
									}
								echo form_dropdown('sunday_close', openclosed(), $val, 'class=" form-control"') . form_error('sunday_close');
								?>
							</div>

                            <label>Monday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                               <?php
                                $val = '11:00';
								if (isset($record) && !empty($record)) {
									if(!empty($record->monday_from_time)){
										$val = $record->monday_from_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('monday_from_time'))){
										$val = set_value('monday_from_time');
									}
                                }
								 
                                $element = array(
                                    'name' => 'monday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('monday_from_time');
                                ?>

                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                  <?php
                                $val = '23:00';
								if (isset($record) && !empty($record)) {
									if(!empty($record->monday_to_time)){
										$val = $record->monday_to_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('monday_to_time'))){
										$val = set_value('monday_to_time');
									}
                                }
								
                                $element = array(
                                    'name' => 'monday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('monday_to_time');
                                ?>

                            </div>
							<div class="col-md-4 input-append crunchy-append ">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->monday_close;
									} else if (isset($_POST)) {
										$val = set_value('monday_close');
									}
								echo form_dropdown('monday_close', openclosed(), $val, 'class=" form-control"') . form_error('monday_close');
								?>
							</div>

                            <label>Tuesday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <?php
                                $val = '11:00';
								if (isset($record) && !empty($record)) {
									if(!empty($record->tuesday_from_time)){
										$val = $record->tuesday_from_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('tuesday_from_time'))){
										$val = set_value('tuesday_from_time');
									}
                                } 

                                $element = array(
                                    'name' => 'tuesday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('tuesday_from_time');
                                ?>

                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <?php
                                $val = '23:00';
                                
								if (isset($record) && !empty($record)) {
									if(!empty($record->tuesday_to_time)){
										$val = $record->tuesday_to_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('tuesday_to_time'))){
										$val = set_value('tuesday_to_time');
									}
                                }

                                $element = array(
                                    'name' => 'tuesday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('tuesday_to_time');
                                ?>

                            </div>
							<div class="col-md-4 input-append  crunchy-append">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->tuesday_close;
									} else if (isset($_POST)) {
										$val = set_value('tuesday_close');
									}
								echo form_dropdown('tuesday_close', openclosed(), $val, 'class=" form-control"') . form_error('tuesday_close');
								?>
							</div>

                            <label>Wednesday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <?php
                                $val = '11:00';

								if (isset($record) && !empty($record)) {
									if(!empty($record->wednesday_from_time)){
										$val = $record->wednesday_from_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('wednesday_from_time'))){
										$val = set_value('wednesday_from_time');
									}
                                }

                                $element = array(
                                    'name' => 'wednesday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('wednesday_from_time');
                                ?>
                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                 <?php
                                $val = '23:00';
                                
								if (isset($record) && !empty($record)) {
									if(!empty($record->wednesday_to_time)){
										$val = $record->wednesday_to_time;
									}
                                } else if (isset($_POST)) {
									if(!empty(set_value('wednesday_to_time'))){
										$val = set_value('wednesday_to_time');
									}
                                }

                                $element = array(
                                    'name' => 'wednesday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('wednesday_to_time');
                                ?>
                            </div>
							<div class="col-md-4 input-append  crunchy-append">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->wednesday_close;
									} else if (isset($_POST)) {
										$val = set_value('wednesday_close');
									}
								echo form_dropdown('wednesday_close', openclosed(), $val, 'class=" form-control"') . form_error('wednesday_close');
								?>
							</div>

                            <label>Thursday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                 <?php
                                $val = '11:00';
                                
								if (isset($record) && !empty($record)) {
									if(!empty($record->thursday_from_time)){
										$val = $record->thursday_from_time;
									}
								} else if (isset($_POST)) {
									if(!empty(set_value('thursday_from_time'))){
										$val = set_value('thursday_from_time');
									}
								}

                                $element = array(
                                    'name' => 'thursday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('thursday_from_time');
                                ?>
                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                               <?php
                                $val = '23:00';
								if (isset($record) && !empty($record)) {
									if(!empty($record->thursday_to_time)){
										$val = $record->thursday_to_time;
									}
								} else if (isset($_POST)) {
									if(!empty(set_value('thursday_to_time'))){
										$val = set_value('thursday_to_time');
									}
								}
								

                                $element = array(
                                    'name' => 'thursday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('thursday_to_time');
                                ?>

                            </div>
							<div class="col-md-4 input-append  crunchy-append">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->thursday_close;
									} else if (isset($_POST)) {
										$val = set_value('thursday_close');
									}
								echo form_dropdown('thursday_close', openclosed(), $val, 'class=" form-control"') . form_error('thursday_close');
								?>
							</div>

                            <label>Friday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                 <?php
                                $val = '11:00';
                               
								if (isset($record) && !empty($record)) {
									if(!empty($record->friday_from_time)){
										$val = $record->friday_from_time;
									}
								} else if (isset($_POST)) {
									if(!empty(set_value('friday_from_time'))){
										$val = set_value('friday_from_time');
									}
								}
								

                                $element = array(
                                    'name' => 'friday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('friday_from_time');
                                ?>

                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                               <?php
                                $val = '23:00';

								if (isset($record) && !empty($record)) {
									if(!empty($record->friday_to_time)){
										$val = $record->friday_to_time;
									}
								} else if (isset($_POST)) {
									if(!empty(set_value('friday_to_time'))){
										$val = set_value('friday_to_time');
									}
								}

                                $element = array(
                                    'name' => 'friday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('friday_to_time');
                                ?>


                            </div>
							<div class="col-md-4 input-append crunchy-append ">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->friday_close;
									} else if (isset($_POST)) {
										$val = set_value('friday_close');
									}
								echo form_dropdown('friday_close', openclosed(), $val, 'class=" form-control"') . form_error('friday_close');
								?>
							</div>

                            <label>Saturday<?php echo required_symbol(); ?></label>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('from'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                               <?php
                                $val = '11:00';
                                
								if (isset($record) && !empty($record)) {
									if(!empty($record->saturday_from_time)){
										$val = $record->saturday_from_time;
									}
								} else if (isset($_POST)) {
									if(!empty(set_value('saturday_from_time'))){
										$val = set_value('saturday_from_time');
									}
								}

                                $element = array(
                                    'name' => 'saturday_from_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('saturday_from_time');
                                ?>

                            </div>

                            <div class="col-md-4 input-append date crunchy-append pd-l0 clearfix date_field">
                                <small><?php echo get_languageword('to'); ?></small><span class="add-on">
                                    <i class="fa fa-clock-o"></i>
                                </span>
                                <?php
                                $val = '23:00';
                                
								if (isset($record) && !empty($record)) {
									if(!empty($record->saturday_to_time)){
										$val = $record->saturday_to_time;
									}
								} else if (isset($_POST)) {
									if(!empty(set_value('saturday_to_time'))){
										$val = set_value('saturday_to_time');
									}
								}

                                $element = array(
                                    'name' => 'saturday_to_time',
                                    'value' => $val,
                                    'class' => 'form-control',
                                    'data-format' => 'hh:mm',
									'readonly' => 'true'
                                );
                                echo form_input($element) . form_error('saturday_to_time');
                                ?>
								

                            </div>
							<div class="col-md-4 input-append  crunchy-append">
							 <small><?php echo get_languageword('closed'); ?></small>
							 <span class="add-on">    </span>
								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->saturday_close;
									} else if (isset($_POST)) {
										$val = set_value('saturday_close');
									}
								echo form_dropdown('saturday_close', openclosed(), $val, 'class=" form-control"') . form_error('saturday_close');
								?>
							</div>



                            <button type="submit" name="operational_settings" value="operational_settings" class="btn btn-primary"><?php echo get_languageword('update'); ?></button>
                            <a class="btn btn-warning" href="<?php echo URL_SITE_SETTINGS; ?>"><?php echo get_languageword('cancel'); ?></a>


                        </div>
                        <?php echo form_close(); ?>
                    </div>
                </div>
            </div>
            <!-- End Form Elements -->
        </div>
    </div>

    <!-- /. PAGE INNER  -->
</div>
<!-- /. PAGE WRAPPER  -->


<!-- Form Validation Plugins /Start -->
<?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

    <link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
    <script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>
    <script type="text/javascript">
        $(document).ready(function() {

            $('#operational_hours').bootstrapValidator({
                // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
                /* feedbackIcons: {
                    valid: 'glyphicon glyphicon-ok',
                    invalid: 'glyphicon glyphicon-remove',
                    validating: 'glyphicon glyphicon-refresh'
                }, */
                framework: 'bootstrap',
                excluded: ':disabled',
                fields: {

                    monday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Monday from time is required'
                            }

                        }
                    },
                    monday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Monday to time is required'
                            }

                        }
                    },
                    tuesday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Tuesday from time is required'
                            }

                        }
                    },
                    tuesday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Tuesday to time is required'
                            }

                        }
                    },
                    wednesday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Wednesday from time is required'
                            }

                        }
                    },
                    wednesday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Wednesday to time is required'
                            }

                        }
                    },
                    thursday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Thursday from time is required'
                            }

                        }
                    },
                    thursday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Thursday to time is required'
                            }

                        }
                    },
                    friday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Friday from time is required'
                            }

                        }
                    },
                    friday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Friday to time is required'
                            }

                        }
                    },
                    saturday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Saturday from time is required'
                            }

                        }
                    },
                    saturday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Saturday to time is required'
                            }

                        }
                    },
                    sunday_from_time: {
                        validators: {
                            notEmpty: {
                                message: 'Sunday from time is required'
                            }

                        }
                    },
                    sunday_to_time: {
                        validators: {
                            notEmpty: {
                                message: 'Sunday to time is required'
                            }

                        }
                    },

                },
                submitHandler: function(validator, form, submitButton) {
                    form.submit();
                }
            })
        });
    </script>

    <link rel="stylesheet" type="text/css" media="screen" href="<?php echo CSS_TIMEPICKER_MIN; ?>">
    <script type="text/javascript" src="<?php echo JS_TIMEPICKER_MIN; ?>"></script>
    <script type="text/javascript">
        $('.date_field').datetimepicker({
            pickDate: false,
            pick12HourFormat: true,
            pickSeconds: false
        });
    </script>

<?php } ?>
<style>
    .input-append {
        margin-bottom: 10px;
    }

    label {
        display: block;
        margin: 10px 0px;
        clear: both;
    }
</style>