<?php

/* 
 * Google Font Chooser
 */
$path = GOOGLE_FONTS_LIST;
$request = file_get_contents( $path );
$fonts = json_decode( $request );

?>
 
 <div id="page-wrapper">
               <div class="row">
                <div class="col-md-12">
				<?php echo $this->session->flashdata('message'); ?>
                    <!-- Form Elements -->
                    <div class="panel panel-default">
						
                        <div class="panel-heading">
                            <?php if(isset($pagetitle)) echo $pagetitle;?>
                        </div>
                        <div class="panel-body">
						 
                            <div class="row">
							<?php
							$attributes = array('name'=>'theme_settings_form','id'=>'theme_settings_form');
							echo form_open(URL_THEME_SETTING,$attributes);?>
                               
								
								<div class="col-md-6">
									<div class="form-group">
										<label><?php echo get_languageword('brand_color') ?></label>
										<?php
										$val='';
										if(isset($record) && !empty($record))
										{
											$val = $record->fld_theme_color;
										}
										else if(isset($_POST))
										{
											$val = set_value('theme_color');
										}
										
										$element = array('name'=>'theme_color',
										'value'=>$val,
										'data-jscolor'=>$val,
										'class'=>'form-color');
										echo form_input($element).form_error('theme_color');
										?>
									</div>
										
										
										
										<div class="form-group">
											<label><?php echo get_languageword('brand_font') ?></label>
											<?php 
											$val = '';
												if (isset($record) && !empty($record)) {
													$val = $record->fld_theme_font;
												} else if (isset($_POST)) {
													$val = set_value('theme_font');
												}
											?>
											 <select id="font-selector" class="form-control chzn-select " style="font-family:<?php echo $fonts->items[0]->family; ?>" name="theme_font">
												<?php 
												foreach ( $fonts->items as $font ) {
													$selected="";
													if($val== $font->family){ 
														$selected="selected";
													}
												?> 
												<option value="<?php echo  $font->family; ?>"  style="font-family:<?php echo $font->family; ?>" <?php echo $selected; ?> ><?php echo $font->family; ?></option>
												  
												<?php } ?>
												
											</select>
											
										</div>
										
									 
									<div class="form-group">
									
										<button type="submit" name="theme_settings" value="theme_settings" class="btn btn-primary"><?php echo get_languageword('update');?></button>
										<a class="btn btn-warning" href="<?php echo URL_THEME_SETTING;?>"><?php echo get_languageword('cancel');?></a>
									</div>
								</div>
                                
								<?php echo form_close();?>
                            </div>
                        </div>
                    </div>
                     <!-- End Form Elements -->
                </div>
            </div>
        <!-- /. PAGE INNER  -->
            </div>
        <!-- /. PAGE WRAPPER  -->
		

<!-- Form Validation Plugins /Start -->
<?php if(!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR;?>" rel="stylesheet">
<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR;?>"></script>
<script type="text/javascript">
      $( document ).ready(function() {
			setTimeout( function() {
				 var src,font;
				$.each( $("#font-selector option"), function() {
				  var font = $(this).val().split(' ').join('+');
				  var src = 'http://fonts.googleapis.com/css?family='+font+'&text='+font;
				  $('head').append("<link href='" + src + "' rel='stylesheet' type='text/css'>");
				});
			}, 0);
			$("#font-selector").change(function() {
				 var font = $(this).val();
				 
				 document.getElementById("font_selector_chzn").style.fontFamily=font;
				 
			});
			
		});
</script>
<?php } ?>		