
<div>
	<div class="cs-card-content card-items-list">

		<?php
		$total_pay = 0;
		$currency_symbol = $this->config->item('site_settings')->currency_symbol;
		$cart_total = 0;


		if (!empty($this->cart->contents())) { ?>

			<ul class="list-left-right">

				<?php foreach ($this->cart->contents() as $items) {

					$cart_total += $items['subtotal'];
					if (isset($items['options']['extra_costs_total'])) {
						$cart_total += $items['options']['extra_costs_total']*$items['qty'];
					}
				?>


					<li class="clearfix">
						<div class="list-left">
							<div class="cart-item-title"><?php echo $items['name']; ?></div>

							<?php
							if ((isset($items['options']['addons_cost_per_item']) || isset($items['options']['item_option_name']))) { ?>

								<div class="cart-item-cutomize mt-08">

									<a href="javascript:void(0);" class="btn-cutomize" href="javascript:void(0);" onclick="get_cart_itm_adns_options('<?php echo $items['id']; ?>','<?php echo $items['rowid']; ?>')"><?php echo get_languageword('customize'); ?></a>
								</div>

							<?php } ?>
							<div class="cart-item-title mt-08"><?php echo get_languageword('quantity'); ?></div>

						</div>

						<?php
						$itm_total = $items['subtotal'];
						if (isset($items['options']['extra_costs_total']))
							$itm_total += $items['options']['extra_costs_total']*$items['qty'];

						?>
						<div class="list-right">
							<div class="card-item-price"><?php echo $currency_symbol; ?><span> <?php echo returnPrice($itm_total); ?></span></div>

							<div class="card-item-actions mt-08">
								<i class="pe-7s-less" onclick="update_qty_summary('<?php echo $items['rowid']; ?>','decr')"></i><span><?php echo $items['qty']; ?></span><i class="pe-7s-plus" onclick="update_qty_summary('<?php echo $items['rowid']; ?>','incr')"></i>
							</div>

						</div>
					</li>



				<?php } ?>


			</ul>

		<?php } ?>

	</div>


	<?php



	$deliverfee = 0;
	if ($order_type == 'delivery' && isset($this->config->item('site_settings')->delivery_fees) && (float) $this->config->item('site_settings')->delivery_fees > 0) {
		$deliverfee = (float) $this->config->item('site_settings')->delivery_fees;
	}


	$total_pay = $cart_total + $deliverfee;
	?>


	<div class="cs-card-content">
		<ul class="list-left-right cart-total-details">
			<li class="clearfix">
				<div class="list-left">Subtotal</div>
				<div class="list-right"><?php echo $currency_symbol; ?>&nbsp; <?php echo returnPrice($cart_total); ?></div>
			</li>


			<?php if ($order_type == 'delivery') : ?>
				<li class="clearfix">
					<div class="list-left">Delivery Fees</div>
					<div class="list-right"><?php echo $currency_symbol; ?>&nbsp;<span id="delivery_fee"><?php echo returnPrice($deliverfee); ?></span> </div>
				</li>
			<?php endif; ?>




		</ul>

		<ul class="list-left-right">
			<li class="clearfix">
				<div class="list-left"><strong class="text-success">Total</strong></div>
				<div class="list-right"><strong class="text-success"><?php echo $currency_symbol; ?>&nbsp;<?php echo returnPrice($total_pay); ?></strong></div>
			</li>
		</ul>

	</div>

</div>