<?php 
/**
 *
 * @category  Userauthentication
 * 
 * @since     Version 1.0.0
 */
defined('BASEPATH') OR exit('No direct script access allowed');

/**
 * CodeIgniter User_authentication Class
 * 
 * Userauthentication.
 *
 * @category  Userauthentication
 * 
 */
class User_authentication extends MY_Controller
{
    /**
    | -----------------------------------------------------
    | ----------------------------------------------------
    |
    | MODULE:           User_authentication CONTROLLER
    | -----------------------------------------------------
    | This is User_authentication module controller file.
    | -----------------------------------------------------
     **/
    function __construct() 
    {
        parent::__construct();
        // Load user model
        $this->load->model('user');
    }
        public function index() 
    {
        
        redirect(SITEURL);
    }
    
    /**
     * Logout
     *
     * @return boolean
     **/ 
    public function logout() 
    {
        
        $this->session->unset_userdata('token');
        $this->session->unset_userdata('userData');
        $this->session->sess_destroy();
        redirect('/user_authentication');
    }
}
