<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_OrderAddon extends CI_Migration
{

    public function up()
    {
         $fields = array(
            'price' => array(
			'name' => 'price',
			'type' => 'DECIMAL(10,3)',
			'null' => true,
			'default'=>NULL
            ),
            'final_cost' => array(
			'name' => 'final_cost',
			'type' => 'DECIMAL(10,3)',
			'null' => true,
			'default'=>NULL
            )
        );
        $this->dbforge->modify_column('order_addons', $fields);
        
    }

    public function down()
    {
         $fields = array(
            'price' => array(
			'name' => 'price',
			'type' => 'DECIMAL(10,2)',
			'null' => true,
			'default'=>NULL
            ),
            'final_cost' => array(
			'name' => 'final_cost',
			'type' => 'DECIMAL(10,2)',
			'null' => true,
			'default'=>NULL
            )
        );
        $this->dbforge->modify_column('order_addons', $fields);
    }
}
