<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Order_Products_Updated extends CI_Migration
{


    public function up()
    {
        $fields = array(
            'size_name' => array(
			'name' => 'size_name',
			'type' => 'VARCHAR',
			'null' => false,
			'constraint' => 350
            ),
            'item_name' => array(
                'name' => 'item_name',
                'type' => 'VARCHAR',
                'null' => false,
                'constraint' => 350
                ),
                'item_image_name' => array(
                    'name' => 'item_image_name',
                    'type' => 'VARCHAR',
                    'null' => true,
                    'constraint' => 350,
                    'default' => null
                    )
        );
        $this->dbforge->modify_column(TBL_ORDER_PRODUCTS, $fields);
    }

    public function down()
    {
        $fields = array(
            'size_name' => array(
			'name' => 'size_name',
			'type' => 'VARCHAR',
			'null' => false,
			'constraint' => 20
            ),
            'item_name' => array(
                'name' => 'item_name',
                'type' => 'VARCHAR',
                'null' => false,
                'constraint' => 50
                ),
                'item_image_name' => array(
                    'name' => 'item_image_name',
                    'type' => 'VARCHAR',
                    'null' => true,
                    'constraint' => 50,
                    'default' => null
                    )
        );
        $this->dbforge->modify_column(TBL_ORDER_PRODUCTS, $fields);

        
    }
}
