<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Items extends CI_Migration
{


    public function up()
    {
        $fields = array(
          
            'item_name' => array(
                'name' => 'item_name',
                'type' => 'VARCHAR',
                'constraint' => 350
                ),
               
        );
        $this->dbforge->modify_column(TBL_ITEMS, $fields);

        $fields = array(
          
            'addon_name' => array(
                'name' => 'addon_name',
                'type' => 'VARCHAR',
                'constraint' => 350
                ),
               
        );
        $this->dbforge->modify_column(TBL_ADDONS, $fields);

        $fields = array(
          
            'option_name' => array(
                'name' => 'option_name',
                'type' => 'VARCHAR',
                'constraint' => 350
                ),
               
        );
        $this->dbforge->modify_column(TBL_OPTIONS, $fields);
    }

    public function down()
    {
        $fields = array(
          
            'item_name' => array(
                'name' => 'item_name',
                'type' => 'VARCHAR',
                'constraint' => 50
                ),
               
        );
        $this->dbforge->modify_column(TBL_ITEMS, $fields);

        $fields = array(
          
            'addon_name' => array(
                'name' => 'addon_name',
                'type' => 'VARCHAR',
                'constraint' => 50
                ),
               
        );
        $this->dbforge->modify_column(TBL_ADDONS, $fields);

        $fields = array(
          
            'option_name' => array(
                'name' => 'option_name',
                'type' => 'VARCHAR',
                'constraint' => 50
                ),
               
        );
        $this->dbforge->modify_column(TBL_OPTIONS, $fields);

        
    }
}
