<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Item_Options_Fields extends CI_Migration
{

    public function up()
    {
    

        $fields = array(
            'option_label' => array(
                'type' => 'VARCHAR',
                'constraint' => 150,
                'null' => false,
            ),

        );
        $this->dbforge->add_column(TBL_ITEM_OPTIONS, $fields);
        $this->db->query('ALTER TABLE '.DBPREFIX.TBL_ITEM_OPTIONS. '
        DROP FOREIGN KEY fk_item_size_id;');
    }

    public function down()
    {
     
        $this->dbforge->drop_column(TBL_ITEM_OPTIONS, 'option_label');

    }
}
