<?php
defined('BASEPATH') or exit('No direct script access allowed');
class Migration_Delivery_Time extends CI_Migration
{

    public function up(){ 
	$fields = array(
	  'delivery_time' => array(
		'type' => 'VARCHAR',
		'constraint' => '30',
		'null' => 'No',
		'DEFAULT' => 'Minutes',
		'after' => 'estimated_delivery_time', 
		'collation' => 'utf8_general_ci'
	  ),
	  'popup_enable' => array(
		'type' => 'BOOLEAN',
		'null' => 'No',
		'DEFAULT' => TRUE,
		'collation' => 'utf8_general_ci'
	  ),
	   'popup_image' => array(
		'type' => 'VARCHAR',
		'constraint' => '512',
		'null' => 'No',
		'collation' => 'utf8_general_ci'
	  )
	);
	$this->dbforge->add_column('site_settings', $fields);
	
  }
 
  public function down(){
    $this->dbforge->drop_column('site_settings', 'delivery_time');
	$this->dbforge->drop_column('site_settings', 'popup_enable');
	$this->dbforge->drop_column('site_settings', 'popup_image');
  }
}
