  <div id="page-wrapper">
            
               <div class="row">
                <div class="col-md-12">
				<?php echo $this->session->flashdata('message'); ?>
                    <!-- Form Elements -->
                    <div class="panel panel-default">
						
                        <div class="panel-heading">
                            <?php if(isset($pagetitle)) echo $pagetitle;?>
							
							<a title="<?php echo get_languageword('go_to_list'); ?>" class="btn btn-primary btn-xs pull-right" href="<?php echo URL_BRANCHES_INDEX;?>"><i class="fa fa-list"></i>
							</a>
                        </div>
                        <div class="panel-body">
						 
                            <div class="row">
							<?php
						$attributes = array('name'=>'branch_form','id'=>'branch_form');
						echo form_open_multipart(URL_ADDEDIT_BRANCH,$attributes);?>
							
                       <div class="col-md-6">
                                 
						<div class="form-group">
						 <label>Branch Name<?php echo required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branches_title;
						}
						else if(isset($_POST))
						{
							$val = set_value('branches_title');
						}
						
						$element = array('name'=>'branches_title',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('branches_title');
						?>
					  </div>
					  <div class="form-group">
						 <label>Branch Address<?php echo required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branches_address;
						}
						else if(isset($_POST))
						{
							$val = set_value('branches_address');
						}
						
						$element = array('name'=>'branches_address',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('branches_address');
						?>
					  </div>
					  <div class="form-group">
						 <label>Branch Phone</label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branches_phone;
						}
						else if(isset($_POST))
						{
							$val = set_value('branches_phone');
						}
						
						$element = array('name'=>'branches_phone',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('branches_phone');
						?>
					  </div>
					  <div class="form-group">
						 <label>Branch Google Maps URL</label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branches_map;
						}
						else if(isset($_POST))
						{
							$val = set_value('branches_map');
						}
						
						$element = array('name'=>'branches_map',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('branches_map');
						?>
					  </div>

					  <div class="form-group">
						 <label>Order Notification Email(s)</label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branches_notification_email;
						}
						else if(isset($_POST))
						{
							$val = set_value('branches_notification_email');
						}
						
						$element = array('name'=>'branches_notification_email',
						'value'=>$val,
						'class'=>'form-control');
						echo form_input($element).form_error('branches_notification_email');
						?>
					  </div>
					
					   
					
					<div class="form-group">
						 <label><?php echo get_languageword('status').required_symbol();?></label>
						<?php
						$val='';
						if(isset($record) && !empty($record))
						{
							$val = $record->branches_status;
						}
						else if(isset($_POST))
						{
							$val = set_value('branches_status');
						}
						
						
						echo form_dropdown('status',$status_options,$val,'class="chzn-select form-control"').form_error('branches_status');
						?>
					  </div>
					
					<div class="form-group pull-right">
						<?php 
						$value='';
						if(isset($record))
						{
							$value = $record->branches_id;
						}
						echo form_hidden('branches_id',$value);?>
						
						<button type="submit" name="addedit_branch" value="addedit_branch" class="btn btn-primary"><?php echo get_languageword('save');?></button>
						
						<a class="btn btn-warning" href="<?php echo URL_BRANCHES_INDEX;?>"><?php echo get_languageword('cancel');?></a>
					</div>
					
					
                        </div>
								<?php echo form_close();?>
                            </div>
                        </div>
                    </div>
                     <!-- End Form Elements -->
                </div>
            </div>
    
        <!-- /. PAGE INNER  -->
            </div>
        <!-- /. PAGE WRAPPER  -->
		
		
<!-- Form Validation Plugins /Start -->
<?php if(!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR;?>" rel="stylesheet">
<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR;?>"></script>
<script type="text/javascript">
    $(document).ready(function () {
		
        $('#branch_form').bootstrapValidator({
            // To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
            /* feedbackIcons: {
                valid: 'glyphicon glyphicon-ok',
                invalid: 'glyphicon glyphicon-remove',
                validating: 'glyphicon glyphicon-refresh'
            }, */
			framework: 'bootstrap',
            excluded: ':disabled',
            fields: {
                branches_title: {
                    validators: {
                        notEmpty: {
                            message: 'Branch name is required.'
                        }
                    }
                },
                branches_address: {
                    validators: {
                        notEmpty: {
                            message: 'Branch address is required.'
                        }
                    }
                }
				
			
            },
			 submitHandler: function(validator, form, submitButton) {
				form.submit();
			}
        })
    });
</script>
<?php } ?>

