<!--Check Out Page Section-->
<div class="container pt-8 pb-8">
	<div class="row">

		<?php echo $this->session->flashdata('message'); ?>

		<?php echo form_open('', array('name' => 'cart-form', 'id' => 'cart-form', 'class' => 'form-horizontal')); ?>

		<div class="col-sm-9">
			<div class="cs-card cart-card card-show">
				<div class="card-header bordered clearfix">
					<span class="stat-count">1</span>Order Type
				</div>

				<div class="row">


					<div class="col-xs-12">
						<div class="p-20">
							<?php $admn_prvd_delivery = $this->config->item('site_settings')->delivery_methods;
							if ($admn_prvd_delivery != '')
								$admn_prvd_delivery = explode(',', $admn_prvd_delivery);
							?>
							<fieldset>
								<div class="form-group">
									<label class="col-md-4 control-label" for="order_type">Order Type*</label>
									<div class="col-md-5">
										<select id="order_type" name="order_type" class="form-control">
											<?php
											$takeawayshow = 0;
											$deliveryshow = 0;
											foreach ($admn_prvd_delivery as $delivery) {
												if ($delivery == "delivery") {
													$label = "Delivery";
													$deliveryshow = 1;
													echo '<option value="' . $delivery . '">Delivery</option>';
												} else if ($delivery == "takeaway") {
													$takeawayshow = 1;
													echo '<option value="' . $delivery . '">Pickup / Collection </option>';
												} else {

													echo '<option value="' . $delivery . '">Digital Product (Sent by Email)</option>';
												}
											}
											?>
										</select>
									</div>
								</div>
							</fieldset>
						</div>
					</div>
				</div>
			</div>
			<!-----------Take-Away---->
			<div class="cs-card cart-card mt-2 card-show">
				<div class="card-header bordered clearfix">
					<span class="stat-count">2</span><span id="card_head">Delivery Details</span>
				</div>
				<div>


					<div class="row">


						<div class="col-xs-12">
							<div class="p-20">

								<fieldset>

									<div class="form-group takeawayshow" <?php if (!$deliveryshow && $takeawayshow) {
																			} else {
																				echo 'style="display: none;"';
																			} ?>>
										<label class="col-md-4 control-label" for="branch">Branch*</label>
										<div class="col-md-5">
											<select id="branch" name="branch" class="form-control">
												<option value="">Please Select</option>
												<?php foreach ($branches as $b) : ?>
													<option data-phone="<?php echo $b->branches_phone; ?>" data-map="<?php echo $b->branches_map; ?>" data-address="<?php echo $b->branches_address; ?>" value="<?php echo $b->branches_id; ?>"><?php echo $b->branches_title; ?></option>
												<?php endforeach; ?>
											</select>
											<div id="branch_details"></div>
										</div>
									</div>
									<!-- Text input-->
									<div class="form-group">
										<label class="col-md-4 control-label" for="full_name">Full Name*</label>
										<div class="col-md-5">
											<input name="full_name" type="text" placeholder="Full Name" class="form-control input-md takeawayfield" value="<?php echo set_value('full_name'); ?>">

										</div>
									</div>

									<!-- Text input-->
									<div class="form-group">
										<label class="col-md-4 control-label" for="mobile_number">Mobile Number*</label>
										<div class="col-md-5">
											<input name="mobile_number" type="text" placeholder="Mobile Number" class="form-control input-md takeawayfield" value="<?php echo set_value('mobile_number'); ?>">

										</div>
									</div>

									<!-- Text input-->
									<div class="form-group">
										<label class="col-md-4 control-label" for="email_address">Email Address*</label>
										<div class="col-md-5">
											<input name="email_address" type="text" placeholder="Email Address" class="form-control input-md takeawayfield" value="<?php echo set_value('email_address'); ?>">

										</div>
									</div>
									<div class="form-group deliveryshow" <?php if (!$deliveryshow) {
																				echo 'style="display: none;"';
																			} ?>>
										<label class="col-md-4 control-label" for="flat_no">Flat/House*</label>
										<div class="col-md-5">
											<input id="flat_no" name="flat_no" type="text" placeholder="Flat/House" class="form-control input-md" value="<?php echo set_value('flat_no'); ?>">

										</div>
									</div>

									<!-- Text input-->
									<div class="form-group deliveryshow" <?php if (!$deliveryshow) {
																				echo 'style="display: none;"';
																			} ?>>
										<label class="col-md-4 control-label" for="building">Building</label>
										<div class="col-md-5">
											<input id="building" name="building" type="text" placeholder="Building" class="form-control input-md" value="<?php echo set_value('building'); ?>">

										</div>
									</div>

									<!-- Text input-->
									<div class="form-group deliveryshow" <?php if (!$deliveryshow) {
																				echo 'style="display: none;"';
																			} ?>>
										<label class="col-md-4 control-label" for="road">Road*</label>
										<div class="col-md-5">
											<input id="road" name="road" type="text" placeholder="Road" class="form-control input-md" value="<?php echo set_value('road'); ?>">

										</div>
									</div>

									<!-- Text input-->
									<div class="form-group deliveryshow" <?php if (!$deliveryshow) {
																				echo 'style="display: none;"';
																			} ?>>
										<label class="col-md-4 control-label" for="block">Block*</label>
										<div class="col-md-5">
											<input id="block" name="block" type="text" placeholder="Block" class="form-control input-md" value="<?php echo set_value('block'); ?>">

										</div>
									</div>

									<!-- Select Basic -->
									<div class="form-group deliveryshow" <?php if (!$deliveryshow) {
																				echo 'style="display: none;"';
																			} ?>>
										<label class="col-md-4 control-label" for="area">Area*</label>
										<div class="col-md-5">
											<select id="area" name="area" class="form-control">
												<option value="">Please Select</option>
												<?php foreach ($areas as $dist => $area) { ?>
													<optgroup label="<?php echo $dist; ?>">
														<?php foreach ($area as $a) : ?>
															<option value="<?php echo $a['service_provide_location_id']; ?>"><?php echo $a['locality']; ?></option>
														<?php endforeach; ?>
													</optgroup>
												<?php }
												?>

											</select>
										</div>
									</div>
									<!-- Textarea -->
									<div class="form-group">
										<label class="col-md-4 control-label" for="instructions">Special Instructions?</label>
										<div class="col-md-5">
											<textarea class="form-control" " name=" instructions" placeholder="Special delivery instructions? Notes that you'd like to add? Tell us here..."></textarea>
										</div>
									</div>

								</fieldset>

							</div>
						</div>

						<div class="clearfix"></div>
					</div>

					<div class="clearfix"></div>

				</div>
			</div>



			<!--Payment-->
			<div class="cs-card cart-card mt-2 payment-card-hide">
				<div class="card-header bordered"><span class="stat-count">3</span><?php echo get_languageword('payment_method'); ?></div>
				<div class="cs-card-content card-items-list">
					<?php
					$admn_prvd_paymnts = $this->config->item('site_settings')->payment_methods;

					if ($admn_prvd_paymnts != '')
						$admn_prvd_paymnts = explode(',', $admn_prvd_paymnts);

					?>


					<?php if (count($admn_prvd_paymnts) > 0) {
						$checked = 'cash';
						if (in_array('online', $admn_prvd_paymnts) && isset($online_payment) && (int) $online_payment == 1) {

							$checked = 'online';
					?>
							<div class="row">
								<div class="col-md-7 col-sm-12">
									<div class="pb-radio-netbanking">
										<input id="online" class="pb-radiobox-popular pb-radio-address" name="payment_type" type="radio" value="online" checked="checked">
										<label for="online" class="pb-radiobox-popular-label pb-radio-address-label"> &nbsp; Debit/Credit Card </label>
									</div>
								</div>
							</div>

						<?php }
						if (in_array('cash_on_delivery', $admn_prvd_paymnts)) { ?>


							<div class="row">
								<div class="col-md-7 col-sm-12">
									<div class="pb-radio-netbanking">
										<input id="cash" class="pb-radiobox-popular pb-radio-address" name="payment_type" type="radio" value="cash" <?php if ($checked == 'cash') : ?> checked="checked" <?php endif; ?>>
										<label for="cash" class="pb-radiobox-popular-label pb-radio-address-label"> &nbsp; <?php echo get_languageword('cash_on_delivery'); ?> </label>
									</div>
								</div>
							</div>

						<?php }
						if (in_array('cashCard', $admn_prvd_paymnts)) { ?>

							<div class="row">
								<div class="col-md-7 col-sm-12">
									<div class="pb-radio-netbanking">
										<input id="cashCard" class="pb-radiobox-popular pb-radio-address" name="payment_type" type="radio" value="cashCard" <?php if ($checked == 'cashCard') : ?> checked="checked" <?php endif; ?>>
										<label for="cashCard" class="pb-radiobox-popular-label pb-radio-address-label"> &nbsp; Pay by Card on Delivery (Card Machine) </label>
									</div>
								</div>
							</div>

						<?php }
						if (in_array('benefitPay', $admn_prvd_paymnts)) { ?>

							<div class="row">
								<div class="col-md-7 col-sm-12">
									<div class="pb-radio-netbanking">
										<input id="benefitPay" class="pb-radiobox-popular pb-radio-address" name="payment_type" type="radio" value="benefitPay" <?php if ($checked == 'benefitPay') : ?> checked="checked" <?php endif; ?>>
										<label for="benefitPay" class="pb-radiobox-popular-label pb-radio-address-label"> &nbsp; Benefit Pay (merchant will contact you after checkout) </label>
									</div>
								</div>
							</div>

						<?php } ?>



					<?php } else echo '<h4>' . get_languageword('no_payment_methods_available') . '</h4>'; ?>


					<div class="clearfix"></div>




				</div>
			</div>

		</div>





		<!--CART SUMMARY DIV-->
		<div class="col-sm-3" id="item-sidebar">
			<div class="cs-card card-y-auto cart-card ml-lg-2 item-sidebar">
				<div class="card-header bordered"><?php echo get_languageword('your_cart'); ?></div>


				<div id="cart-div">

				</div>
				<button type="submit" name="submit_type" value="save_order" class="btn btn-primary btn-block btn-checkout" id="book_order"> <?php echo get_languageword('continue'); ?> </button>
				</form>
			</div>


		</div>
		<!--CART SUMMARY DIV-->





		<?php echo form_close(); ?>
	</div>
	<div class="clearfix"></div>
</div>


<script>
	// A $( document ).ready() block.
	$(document).ready(function() {

		<?php if (!empty($this->cart->contents())) { ?>
			load_cart_summary_div();
		<?php } ?>

	});
</script>

<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>


<script type="text/javascript">
	//Radio selects on "div" click
	$(document).ready(function() {
		bootstrapInit();
		$('#topfeatures,.hero-banner').hide();


		$("#branch").on('change', function() {
			var val = $(this).val();
			if (val != '') {
				var phone = $('option:selected', this).data('phone');
				var address = $('option:selected', this).data('address');
				var map = $('option:selected', this).data('map');
				var html = '<p><br/>Address: ' + address + '<br/><br/>Phone: ' + phone;
				if (map != null && map != '' && map != 'undefined') {
					html += '<br/><br/>Map: <a target="_blank" href="' + map + '" title="Google Map">View Map</a>';
				}
				html += '</p>';

				$('#branch_details').html(html);
			}
		});

		$("#order_type").on('change', function() {

			var val = $(this).val();
			if (val == 'delivery' || val == '') {
				$('.takeawayshow').hide();
				$('#card_head').html('Delivery Details');
				$('.deliveryshow').show();
				load_cart_summary_div('delivery');

			} else if (val == 'takeaway') {

				$('.deliveryshow').hide();
				$('.takeawayshow').show();
				$('#card_head').html('Customer Details');
				load_cart_summary_div('takeaway');
			} else {
				$('.takeawayshow').hide();
				$('.deliveryshow').hide();
				$('#card_head').html('Customer Details');
				load_cart_summary_div('takeaway');
			}
			$('#cart-form').bootstrapValidator('destroy');
			$('#cart-form').data('bootstrapValidator', null);

			bootstrapInit();

		});

		function bootstrapInit() {


			$('#cart-form').bootstrapValidator({
				framework: 'bootstrap',
				excluded: ':disabled',
				fields: {
					full_name: {
						trigger: 'change keyup',
						validators: {
							notEmpty: {
								message: 'Full name is required.'
							}
						}
					},
					email_address: {
						trigger: 'change keyup',
						validators: {
							notEmpty: {
								message: 'Email address is required.'
							}
						}
					},
					mobile_number: {
						trigger: 'change keyup',
						validators: {
							notEmpty: {
								message: 'Mobile number is required.'
							}
						}
					},
					order_type: {
						trigger: 'change keyup',
						validators: {
							notEmpty: {
								message: 'Order type is required.'
							}
						}
					},
					payment_type: {
						trigger: 'change keyup',
						validators: {
							notEmpty: {
								message: 'Please select payment method.'
							}
						}
					},


					flat_no: {
						trigger: 'change keyup',
						validators: {
							callback: {
								message: 'Flat/House is required.',
								callback: function(value, validator, $field) {
									var order_type = $('#order_type').val();
									if (order_type == 'delivery') {
										if (value != '') {
											return true;
										} else {
											return false;
										}
									} else {
										return true;
									}
								}
							}

						}
					},
					road: {
						trigger: 'change keyup',
						validators: {
							callback: {
								message: 'Road is required.',
								callback: function(value, validator, $field) {
									var order_type = $('#order_type').val();
									if (order_type == 'delivery') {
										if (value != '') {
											return true;
										} else {
											return false;
										}
									} else {
										return true;
									}

								}
							}

						}
					},
					block: {
						trigger: 'change keyup',
						validators: {


							callback: {
								message: 'Block is required.',
								callback: function(value, validator, $field) {
									var order_type = $('#order_type').val();
									if (order_type == 'delivery') {
										if (value != '') {
											return true;
										} else {
											return false;
										}
									} else {
										return true;
									}
								}
							}
						}
					},
					area: {
						trigger: 'change keyup',
						validators: {
							callback: {
								message: 'Area is required.',
								callback: function(value, validator, $field) {
									var order_type = $('#order_type').val();
									if (order_type == 'delivery') {
										if (value != '') {
											return true;
										} else {
											return false;
										}
									} else {
										return true;
									}
								}
							}

						}
					},
					branch: {
						trigger: 'change keyup',
						validators: {
							callback: {
								message: 'Branch is required.',
								callback: function(value, validator, $field) {
									var order_type = $('#order_type').val();
									if (order_type == 'takeaway') {
										if (value != '') {
											return true;
										} else {
											return false;
										}
									} else {
										return true;
									}
								}
							}

						}
					}
				},
				submitHandler: function(validator, form, submitButton) {
					form.submit();
				}
			}).on('status.field.bv', function(e, data) {
				if (data.bv.getSubmitButton()) {
					data.bv.disableSubmitButtons(false);
				}
			});
		}
	});
</script>