  <div id="page-wrapper">

  	<div class="row">
  		<div class="col-md-12">
  			<?php echo $this->session->flashdata('message'); ?>
  			<!-- Form Elements -->
  			<div class="panel panel-default">

  				<div class="panel-heading">
  					<?php if (isset($pagetitle)) echo $pagetitle; ?>

  					<a title="<?php echo get_languageword('go_to_list'); ?>" class="btn btn-primary btn-xs pull-right" href="<?php echo URL_OPTIONS_INDEX; ?>"><i class="fa fa-list"></i>
  					</a>
  				</div>
  				<div class="panel-body">

  					<div class="row">
  						<?php
							$attributes = array('name' => 'option_from', 'id' => 'option_from');
							echo form_open(URL_ADDEDIT_OPTION, $attributes); ?>

  						<div class="col-md-6">

  							<div class="form-group">
  								<label>Option Set Name <?php echo required_symbol(); ?>
  									<br /><small>Max 50 Characters</small></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->option_sets_name;
									} else if (isset($_POST)) {
										$val = set_value('option_sets_name');
									}

									$element = array(
										'name' => 'option_sets_name',
										'value' => $val,
										'maxlength' => '50',
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('option_sets_name');
									?>
  							</div>

  							<div class="form-group">
  								<label>Label<?php echo required_symbol(); ?>
  									<br /><small>Max 200 Characters</small></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->option_sets_label;
									} else if (isset($_POST)) {
										$val = set_value('option_sets_label');
									}

									$element = array(
										'name' => 'option_sets_label',
										'value' => $val,
										'maxlength' => '350',
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('option_sets_label');
									?>
  							</div>

  							<div class="form-group">
  								<label><?php echo get_languageword('status') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->status;
									} else if (isset($_POST)) {
										$val = set_value('option_sets_status');
									}


									echo form_dropdown('option_sets_status', $status_options, $val, 'class="chzn-select form-control"') . form_error('option_sets_status');
									?>
  							</div>

  							<div class="form-group">
  								<label>Type of Selections<?php echo required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->option_sets_mandatory;
									} else if (isset($_POST)) {
										$val = set_value('option_sets_mandatory');
									}


									echo form_dropdown('option_sets_mandatory', array('1' => 'Radio Buttons', '0' => 'Checkboxes'), $val, 'class="chzn-select form-control" id="optionalSelect"') . form_error('option_sets_mandatory');
									?>
  							</div>
							  <?php 
							
							  if (!isset($record) || ($record->option_sets_mandatory && $record->option_sets_mandatory=='1')) {
								$style ='style="display:none"';
							} else {
								$style ='style="display:block"';
							}
							  ?>
  							<div class="min_max" <?php echo $style; ?>>
  								<div class="form-group">
  									<label>Minimum Selections<?php echo required_symbol(); ?>
  										<br /><small>Enter 0 for no limit</small></label>
  									<?php
										$val = '0';
										if (isset($record) && !empty($record)) {
											$val = $record->option_sets_min;
										} else if (isset($_POST)) {
											$val = set_value('option_sets_min');
										}

										$element = array(
											'name' => 'option_sets_min',
											'value' => $val,
											'type' => 'number',
											'class' => 'form-control'
										);

										echo form_input($element) . form_error('option_sets_min');
										?>
  								</div>
  								<div class="form-group">
  									<label>Maximum Selections<?php echo required_symbol(); ?>
  										<br /><small>Enter 0 for no limit</small></label></label>
  									<?php
										$val = '0';
										if (isset($record) && !empty($record)) {
											$val = $record->option_sets_max;
										} else if (isset($_POST)) {
											$val = set_value('option_sets_max');
										}

										$element = array(
											'name' => 'option_sets_max',
											'value' => $val,
											'type' => 'number',
											'class' => 'form-control'
										);

										echo form_input($element) . form_error('option_sets_max');
										?>
  								</div>
  							</div>

  							<div class="form-group pull-right">
  								<?php
									$value = '';
									if (isset($record)) {
										$value = $record->option_sets_id;
									}
									echo form_hidden('option_sets_id', $value); ?>

  								<button type="submit" name="addedit_option" value="addedit_option" class="btn btn-primary"><?php echo get_languageword('save'); ?></button>

  								<a class="btn btn-warning" href="<?php echo URL_OPTIONS_INDEX; ?>"><?php echo get_languageword('cancel'); ?></a>
  							</div>


  						</div>
  						<?php echo form_close(); ?>
  					</div>
  				</div>
  			</div>
  			<!-- End Form Elements -->
  		</div>
  	</div>

  	<!-- /. PAGE INNER  -->
  </div>
  <!-- /. PAGE WRAPPER  -->


  <!-- Form Validation Plugins /Start -->
  <?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

  	<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
  	<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>
  	<script type="text/javascript">
  		(function($) {
  			$.fn.bootstrapValidator.validators.selections = {
  				html5Attributes: {
  					message: 'message',
  					field: 'field',

  				},

  				validate: function(validator, $field, options) {

  					var value = $field.val();

  					option_sets_optional = validator.getFieldElements(options.field).val();

  					if (option_sets_optional == 0 || option_sets_optional == "0") {
  						if (value && value != '' && $.isNumeric(value)) {
  							return true;
  						} else {
  							return false;
  						}
  					} else {
  						return true;
  					}

  				}
  			}
  		}(window.jQuery));
  		$(document).ready(function() {

  			$('#optionalSelect').change(function() {

  				val = $(this).val();

  				if (val == 1 || val == "1") {
  					$('.min_max').hide();
  				} else {
  					$('.min_max').show();
  				}
  			});

  			$('#option_from').bootstrapValidator({
  				// To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
  				/* feedbackIcons: {
  				    valid: 'glyphicon glyphicon-ok',
  				    invalid: 'glyphicon glyphicon-remove',
  				    validating: 'glyphicon glyphicon-refresh'
  				}, */
  				framework: 'bootstrap',
  				excluded: ':disabled',
  				fields: {
  					option_sets_name: {
  						validators: {
  							notEmpty: {
  								message: 'Option sets name is required.'
  							}
  						}
  					},
  					option_sets_label: {
  						validators: {
  							notEmpty: {
  								message: 'Option sets label is required.'
  							}
  						}
  					},
  					option_sets_mandatory: {
  						validators: {
  							notEmpty: {
  								message: 'This field is required.'
  							}
  						}
  					},
  					option_sets_status: {
  						validators: {
  							notEmpty: {
  								message: 'Option sets status is required.'
  							}
  						}
  					},
  					option_sets_min: {
  						validators: {
  							selections: {
  								message: 'Min Value is required.',
  								field: 'option_sets_mandatory'
  							}
  						}
  					},
  					option_sets_max: {
  						validators: {
  							selections: {
  								message: 'Max Value is required.',
  								field: 'option_sets_mandatory'
  							}
  						}
  					}


  				},
  				submitHandler: function(validator, form, submitButton) {
  					form.submit();
  				}
  			});

  		});
  	</script>
  <?php } ?>