  <div id="page-wrapper">

  	<div class="row">
  		<div class="col-md-12">
  			<?php echo $this->session->flashdata('message'); ?>
  			<!-- Form Elements -->
  			<div class="panel panel-default">

  				<div class="panel-heading">
  					<?php if (isset($pagetitle)) echo $pagetitle; ?>
  				</div>
  				<div class="panel-body">

  					<div class="row">

  						<div class="col-md-6">
  							
  							<div class="form-group">
  								<label>
  									TAP Business ID<?php echo required_symbol(); ?>
  								</label>
  								<?php $val = $record->tap_id;
									$element = array(
										'name' => 'business_id',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('business_id');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									TAP Business Entity ID<?php echo required_symbol(); ?>
  								</label>
  								<?php $val = $record->entity_id;
									$element = array(
										'name' => 'business_entity_id',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('business_entity_id');
									?>
  							</div>
  							<div class="form-group">
  								<label>
  									TAP Branch ID<?php echo required_symbol(); ?>
  								</label>
  								<?php $val = $record->branch_id;
									$element = array(
										'name' => 'branch_id',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('branch_id');
									?>
							  </div>
							  
							  <div class="form-group">
  								<label>
  									TAP MERCHANT ID<?php echo required_symbol(); ?>
  								</label>
  								<?php $val = $record->merchant_id;
									$element = array(
										'name' => 'merchant_id',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('merchant_id');
									?>
  							</div>

							  <div class="form-group">
  								<label>
  									MERCHANT STATUS<?php echo required_symbol(); ?>
  								</label>
  								<?php $val = $record->status;
									$element = array(
										'name' => 'merchant_status',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('merchant_status');
									?>
							  </div>

							  <div class="form-group">
  								<label>
  									Test API Key<?php echo required_symbol(); ?>
  								</label>
  								<?php $val = $record->operator_api_key_test;
									$element = array(
										'name' => 'operator_api_key_test',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('merchant_api_test');
									?>
							  </div>

							  <div class="form-group">
  								<label>
  									Live API Key<?php echo required_symbol(); ?>
									<br/><small>Needed for Live Payments</small>
  								</label>
  								<?php $val = $record->operator_api_key_live;
									$element = array(
										'name' => 'operator_api_key_live',
										'value' => $val,
										'class' => 'form-control',
										'readonly' => 'readonly'
									);
									echo form_input($element) . form_error('merchant_api_live');
									?>
							  </div>
							  

  							
  						</div>
  						<?php echo form_close(); ?>
  					</div>
  				</div>
  			</div>
  			<!-- End Form Elements -->
  		</div>
  	</div>

  	<!-- /. PAGE INNER  -->
  </div>
  <!-- /. PAGE WRAPPER  -->


  <!-- Form Validation Plugins /Start -->
  <link rel="stylesheet" type="text/css" media="screen" href="<?php echo CSS_TIMEPICKER_MIN; ?>">
  <script type="text/javascript" src="<?php echo JS_TIMEPICKER_MIN; ?>"></script>

  <?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

  	<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
  	<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>



  <?php } ?>