  <div id="page-wrapper">

  	<div class="row">
  		<div class="col-md-12">
  			<?php echo $this->session->flashdata('message'); ?>
  			<!-- Form Elements -->
  			<div class="panel panel-default">

  				<div class="panel-heading">
  					<?php if (isset($pagetitle)) echo $pagetitle; ?>
  				</div>
  				<div class="panel-body">

  					<div class="row">
  						<?php
							$attributes = array('name' => 'site_settings_from', 'id' => 'site_settings_from');
							echo form_open_multipart(URL_SITE_SETTINGS, $attributes); ?>
  						<div class="col-md-6">

  							<div class="form-group">
  								<label><?php echo get_languageword('site_title') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->site_title;
									} else if (isset($_POST)) {
										$val = set_value('site_title');
									}

									$element = array(
										'name' => 'site_title',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('site_title');
									?>
  							</div>

  							<div class="form-group">
  								<label><?php echo get_languageword('phone') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->phone;
									} else if (isset($_POST)) {
										$val = set_value('phone');
									}

									$element = array(
										'name' => 'phone',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('phone');
									?>
  							</div>

  							<div class="form-group"> <label><?php echo get_languageword('contact_email') . required_symbol(); ?></label>
  								<?php $val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->portal_email;
									} else if (isset($_POST)) {
										$val = set_value('portal_email');
									}
									$element = array(
										'name' => 'portal_email',
										'value' => $val,
										'class' => 'form-control',
										'type' => 'email'
									);
									echo form_input($element) . form_error('portal_email');
									?>

  							</div>


  							<div class="form-group"> <label>
  									<?php echo get_languageword('site_language') . required_symbol(); ?></label>
  								<?php $val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->site_language;
									} else if (isset($_POST)) {
										$val = set_value('site_language');
									}
									echo form_dropdown('site_language', $lang_opts, $val, 'class="form-control chzn-select" ');
									echo form_error('site_language');										?>
  							</div>


  							<div class="form-group">
  								<label><?php echo get_languageword('site_country') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->site_country;
									} else if (isset($_POST)) {
										$val = set_value('site_country');
									}

									$element = array(
										'name' => 'site_country',
										'value' => $val,
										'class' => 'form-control',
										'placeholder' => 'BH'
									);
									echo form_input($element) . form_error('site_country');
									?>
  							</div>

							<div class="col-md-6 crunchy-append">
								<div class="form-group">
									<label>Estimated Delivery Time<?php echo required_symbol(); ?>
									</label>
									<?php
										$val = '';
										if (isset($record) && !empty($record)) {
											$val = $record->estimated_delivery_time;
										} else if (isset($_POST)) {
											$val = set_value('estimated_delivery_time');
										}

										$element = array(
											'name' => 'estimated_delivery_time',
											'value' => $val,
											'class' => 'form-control',
											'placeholder' => '30'
										);
										echo form_input($element) . form_error('estimated_delivery_time');
										?>
								</div>
							</div>
							<div class="col-md-6 crunchy-append">
								<div class="form-group">
									<label>Minutes/Hours/Days </label>
									<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->delivery_time;
									} else if (isset($_POST)) {
										$val = set_value('delivery_time');
									}
									$delivery_time= array("Minute"=>"Minutes","Hour"=>"Hours","Day"=>"Days");

									echo form_dropdown('delivery_time', $delivery_time, $val, 'class="form-control chzn-select" ');
									echo form_error('delivery_time');
									?>
								</div>
							</div>
							<div class="form-group">
  								<label><?php echo get_languageword('delivery_methods') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record->delivery_methods)) {
										$val = explode(',', $record->delivery_methods);
									} else if (isset($_POST)) {
										$val = set_value('delivery_methods');
									}

									$options = array(
										'delivery' => 'Delivery',
										'takeaway' => 'Pickup / Take-away',
										'Digital Product' => 'Digital Product (Sent by Email)',
										

									);
									echo form_multiselect('delivery_methods[]', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('delivery_methods');
									?>
  							</div>
  							<div class="form-group">
  								<label><?php echo get_languageword('time_zone') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->time_zone;
									} else if (isset($_POST)) {
										$val = set_value('time_zone');
									}

									echo form_dropdown('time_zone', $time_zone_options, $val, 'class="form-control chzn-select" ');
									echo form_error('time_zone');
									?>
  							</div>
							<div class="form-group">
  								<label><?php echo get_languageword('kill_switch') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->killswitch;
									} else if (isset($_POST)) {
										$val = set_value('killswitch');
									}
									$killswitch= array("1"=>"On (Busy and Do Not Want Orders Now)","0"=>"Off (Happy To Accept Orders)");

									echo form_dropdown('killswitch', $killswitch, $val, 'class="form-control chzn-select" ');
									echo form_error('killswitch');
									?>
  							</div>
							<div class="form-group">
  								<label><?php echo get_languageword('information_bar') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->information_bar;
									} else if (isset($_POST)) {
										$val = set_value('information_bar');
									}
									$information_bar= array("showall"=>"Show All","noicon"=>"Hide Icons","hideall"=>"Hide All");

									echo form_dropdown('information_bar', $information_bar, $val, 'class="form-control chzn-select" ');
									echo form_error('information_bar');
									?>
  							</div>
							<div class="form-group">
  								<label><?php echo get_languageword('welcome_popup') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->popup_enable;
									} else if (isset($_POST)) {
										$val = set_value('popup_enable');
									}
									$popup_enable= array("1"=>"Enable","0"=>"Disable");

									echo form_dropdown('popup_enable', $popup_enable, $val, 'class="form-control chzn-select" ');
									echo form_error('popup_enable');
									?>
  							</div>
							<div class="form-group">
  								<label><?php echo get_languageword('welcome_popup_image'); ?></label>
  								<input type="file" name="popup_image" title="Primary Site Logo" onchange="photo(this,'popup_images')">
								<p class="small"> <b>Recommended</b>: Max. 1MB, JPG/PNG (800px by 600px)</p>
  								<?php
									$src = "";
									$style = "display:none;";
									if (isset($record->popup_image) && $record->popup_image != "" && file_exists(POPUP_IMG_UPLOAD_PATH_URL . $record->popup_image)) {
										$src = POPUP_IMG_PATH . $record->popup_image;
										$style = "";
									}
									?>
  								<img id="popup_images" src="<?php echo $src; ?>" style="<?php echo $style; ?>" alt="Popup Image">
  							</div>
  						</div>

  						<div class="col-md-6">

  							<div class="form-group">
  								<label><?php echo get_languageword('currency') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->currency;
									} else if (isset($_POST)) {
										$val = set_value('currency');
									}

									echo form_dropdown('currency', $currency_opts, $val, 'class="form-control chzn-select" ');
									echo form_error('currency');
									?>
  							</div>

  							<div class="form-group">
  								<label><?php echo get_languageword('currency_symbol') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->currency_symbol;
									} else if (isset($_POST)) {
										$val = set_value('currency_symbol');
									}

									$element = array(
										'name' => 'currency_symbol',
										'value' => $val,
										'class' => 'form-control'
									);
									echo form_input($element) . form_error('currency_symbol');
									?>
  							</div>
  							<div class="form-group">
  								<label>Minimum Order Amount</label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->min_order;
									} else if (isset($_POST)) {
										$val = set_value('min_order');
									}
									$element = array(
										'name' => 'min_order',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('min_order');
									?>
  							</div>
  							<div class="form-group">
  								<label>Delivery Fees</label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->delivery_fees;
									} else if (isset($_POST)) {
										$val = set_value('delivery_fees');
									}
									$element = array(
										'name' => 'delivery_fees',
										'value' => $val,
										'class' => 'form-control'
									);

									echo form_input($element) . form_error('delivery_fees');									?>
  							</div>

  					

  							<div class="form-group">
  								<label><?php echo get_languageword('date_format') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record)) {
										$val = $record->date_format;
									} else if (isset($_POST)) {
										$val = set_value('date_format');
									}

									$options = array(
										'Y-m-d' => 'YYYY-MM-DD',
										'Y.m.d' => 'YYYY.MM.DD',
										'd-m-Y' => 'DD-MM-YYYY',
										'd/m/Y' => 'DD/MM/YYYY',
										'd.m.Y' => 'DD.MM.YYYY',
										'm-d-Y' => 'MM-DD-YYYY',
										'm/d/Y' => 'MM/DD/YYYY',
										'm.d.Y' => 'MM.DD.YYYY'
									);
									echo form_dropdown('date_format', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('date_format');
									?>
  							</div>


  							<div class="form-group">
  								<label><?php echo get_languageword('payment_methods') . required_symbol(); ?></label>
  								<?php
									$val = '';
									if (isset($record) && !empty($record->payment_methods)) {
										$val = explode(',', $record->payment_methods);
									} else if (isset($_POST)) {
										$val = set_value('payment_methods');
									}

									$options = array(
										'cash_on_delivery' => get_languageword('cash_on_delivery'),
										'cashCard' => 'Pay by Card on Delivery (Card Machine)',
										'benefitPay' => 'Benefit Pay',
										'online' => 'Credit/Debit Cards via Tap',

									);
									echo form_multiselect('payment_methods[]', $options, $val, 'class="form-control chzn-select" ');
									echo form_error('payment_methods');
									?>
  							</div>



  							<div class="form-group">
  								<label><?php echo get_languageword('fevicon') . required_symbol(); ?></label>
  								<input type="file" name="fevicon" title="Fevicon" onchange="photo(this,'feviconn')">
								<p class="small"> <b>Recommended</b>: Max. 512KB, JPG/PNG (100px by 100px)</p>
  								<?php
									$src = "";
									$style = "display:none;";
									if (isset($record->fevicon) && $record->fevicon != "" && file_exists(FEVICON_IMG_UPLOAD_PATH_URL . $record->fevicon)) {
										$src = FEVICON_IMG_PATH . $record->fevicon;
										$style = "";
									}
									?>
  								<img id="feviconn" src="<?php echo $src; ?>" style="<?php echo $style; ?>">
  							</div>

  							<div class="form-group">
  								<label><?php echo get_languageword('home_page_site_logo') . required_symbol(); ?></label>
  								<input type="file" name="site_logo" title="Primary Site Logo" onchange="photo(this,'site_logoo')">
								<p class="small"> <b>Recommended</b>: Max. 1MB, JPG/PNG (900px by 300px)</p>
  								<?php
									$src = "";
									$style = "display:none;";
									if (isset($record->site_logo) && $record->site_logo != "" && file_exists(LOGO_IMG_UPLOAD_PATH_URL . $record->site_logo)) {
										$src = LOGO_IMG_PATH . $record->site_logo;
										$style = "";
									}
									?>
  								<img id="site_logoo" src="<?php echo $src; ?>" style="<?php echo $style; ?>" alt="Primary Site Logo">
  							</div>




  							<div class="form-group">
  								<label><?php echo get_languageword('other_pages_site_logo') . required_symbol(); ?></label>
  								<input type="file" name="second_site_logo" title="Secondary Site Logo" onchange="photo(this,'second_site_logoo')">
								<p class="small"> <b>Recommended</b>: Max. 1MB, JPG/PNG (900px by 300px)</p>
  								<?php
									$src = "";
									$style = "display:none;";
									if (isset($record->second_site_logo) && $record->second_site_logo != "" && file_exists(LOGO_IMG_UPLOAD_PATH_URL . $record->second_site_logo)) {
										$src = LOGO_IMG_PATH . $record->second_site_logo;
										$style = "";
									}
									?>
  								<img id="second_site_logoo" src="<?php echo $src; ?>" style="<?php echo $style; ?>" alt="Secondary Site Logo">
  							</div>



  							<div class="form-group">
  								<label><?php echo get_languageword('home_page_image') . required_symbol(); ?> </label>
  								<input type="file" name="home_page_img" title="Home Page Background Image" onchange="photo(this,'home_page_imge')">
								<p class="small"> <b>Recommended</b>: Max. 2MB, JPG/PNG (1920px by 500px)</p>
  								<?php
									$src = "";
									$style = "display:none;";
									if (isset($record->home_page_img) && $record->home_page_img != "" && file_exists(HOME_PAGE_IMG_UPLOAD_PATH_URL . $record->home_page_img)) {
										$src = HOME_PAGE_IMG_PATH . $record->home_page_img;
										$style = "";
									}
									?>
  								<img id="home_page_imge" src="<?php echo $src; ?>" style="<?php echo $style; ?>" alt="Home Page Background Image">
  							</div>


  							<button type="submit" name="site_settings" value="site_settings" class="btn btn-primary"><?php echo get_languageword('update'); ?></button>
  							<a class="btn btn-warning" href="<?php echo URL_SITE_SETTINGS; ?>"><?php echo get_languageword('cancel'); ?></a>


  						</div>
  						<?php echo form_close(); ?>
  					</div>
  				</div>
  			</div>
  			<!-- End Form Elements -->
  		</div>
  	</div>

  	<!-- /. PAGE INNER  -->
  </div>
  <!-- /. PAGE WRAPPER  -->


  <!-- Form Validation Plugins /Start -->
  <?php if (!empty($css_js_files) && in_array('form_validation', $css_js_files)) { ?>

  	<link href="<?php echo CSS_ADMIN_OR_BOOTSTRAP_VALIDATOR; ?>" rel="stylesheet">
  	<script type="text/javascript" src="<?php echo JS_ADMIN_BOOTSTRAP_VALIDATOR; ?>"></script>
  	<script type="text/javascript">
  		$(document).ready(function() {

  			$('#site_settings_from').bootstrapValidator({
  				// To use feedback icons, ensure that you use Bootstrap v3.1.0 or later
  				/* feedbackIcons: {
  				    valid: 'glyphicon glyphicon-ok',
  				    invalid: 'glyphicon glyphicon-remove',
  				    validating: 'glyphicon glyphicon-refresh'
  				}, */
  				framework: 'bootstrap',
  				excluded: ':disabled',
  				fields: {
  					site_title: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('site_title_is_required'); ?>'
  							}
  						}
  					},

  					phone: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('phone_number_is_required'); ?>'
  							}

  						}
  					},

  					portal_email: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('contact_email_is_required'); ?>'
  							}

  						}
  					},
  					site_country: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('site_country_is_required'); ?>'
  							}

  						}
  					},
  					estimated_delivery_time: {
  						validators: {
  							notEmpty: {
  								message: 'Estimated delivery time is required.'
  							},
  							
  							digits: {
  								message: 'Estitmated delivery time can only contain numbers.'
  							}
  						}
  					},
  					site_language: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('site_language_is_required'); ?>'
  							}

  						}
  					},
  					currency: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('currency_is_required'); ?>'
  							}

  						}
  					},
  					currency_symbol: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('currency_symbol_is_required'); ?>'
  							}

  						}
  					},
  				
  					time_zone: {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('time_zone_is_required'); ?>'
  							}

  						}
  					},
  					

  					"payment_methods[]": {
  						validators: {
  							notEmpty: {
  								message: '<?php echo get_languageword('payment_methods_required'); ?>'
  							}

  						}
  					},
  					site_logo: {
  						validators: {
  							file: {
  								extension: 'jpeg,jpg,png,gif,svg',
  								type: 'image/jpeg,image/png,image/gif,image/svg',
  								message: '<?php echo get_languageword('home_page_site_logo_file_is_not_valid'); ?>'
  							}
  						}
  					},
  					second_site_logo: {
  						validators: {
  							file: {
  								extension: 'jpeg,jpg,png,gif,svg',
  								type: 'image/jpeg,image/png,image/gif,image/svg',
  								message: '<?php echo get_languageword('inner_pages_site_logo_file_is_not_valid'); ?>'
  							}
  						}
  					},
  					home_page_img: {
  						validators: {
  							file: {
  								extension: 'jpeg,jpg,png,gif,svg',
  								type: 'image/jpeg,image/png,image/gif,image/svg',
  								message: '<?php echo get_languageword('home_page_image_file_is_not_valid'); ?>'
  							}
  						}
  					}
  				},
  				submitHandler: function(validator, form, submitButton) {
  					form.submit();
  				}
  			})
  		});
  	</script>

  	<link rel="stylesheet" type="text/css" media="screen" href="<?php echo CSS_TIMEPICKER_MIN; ?>">
  	<script type="text/javascript" src="<?php echo JS_TIMEPICKER_MIN; ?>"></script>
  	<script type="text/javascript">
  		$('#datetimepicker,#datetimepickerto').datetimepicker({
  			pickDate: false,
  			pick12HourFormat: true,
  			pickSeconds: false
  		});
  	</script>

  <?php } ?>