<div class="container pt-8 pb-8" id="menu" name="menu">

	<?php echo $this->session->flashdata('message'); ?>
	<div class="row">
		<div class="col-sm-3 mobile-view" id="menu-sidebar">
			<div class="cs-card cart-card card-y-auto ml-lg-2 menu-sidebar left-sidebox">
				<div class="card-header bordered  category-title mb-2" style="margin-bottom:0px;">Categories <span class="toggle-arrow"></span></div>
				<!--Display Menus-->
				<div class="list-group p-20 categories-list open">
					<ul>
						<?php
						$n = 0;
						if (isset($menus) && !empty($menus)) {

							foreach ($menus as $menu) {
								$clas = '';
								$n++;
								if ($n == 1)
									$clas = 'active';

						?>
								<li>
									<a href="#category_<?php echo $menu->menu_id; ?>" id="<?php echo $menu->menu_id; ?>" class="list-group-item <?php echo $clas; ?>"><?php echo $menu->menu_name; ?></a>
								</li>
						<?php }
						} ?>
					</ul>
				</div>
				<!--Display Menus-->
			</div>
		</div>
		<!--ITEMS DIV-->
		<div class="col-sm-6 items-block mobile-margin">

			<?php
			$n = 0;

			if (isset($menus) && !empty($menus)) {

				foreach ($menus as $menu) :
					$menu_id     = $menu->menu_id;
					$menu_name   = $menu->menu_name;

					$offset = 0; //current offset


					$items = $this->welcome_model->get_menu_items($offset, $menu_id);
					$total_items = $this->welcome_model->numrows;


					$offset = $offset + MENU_ITEMS_PER_PAGE; //next offset
			?>
					<div class="wrapper" id="category_<?php echo $menu_id; ?>">


						<div class="section">

							<div class="category-title mb-2"><?php if (isset($menu_name)) echo $menu_name; ?></div>

							<?php if (isset($items) && !empty($items)) :
						
								$currency_symbol = $this->config->item('site_settings')->currency_symbol;
							?>

								<!--SELECTED MENU ITEMS BLOCK-->
								<div class="row grid">

									<?php foreach ($items as $item) { ?>
										<div class="col-sm-6 grid-item">
											<div class="cs-card mb-3 cs-product-card">

												<img src="<?php echo get_item_image($item->item_image_name); ?>" alt="<?php echo $item->item_name; ?>" class="img-responsive lazy" title="<?php echo $item->item_name; ?>">
												<div class="cs-card-content clearfix">

													<div class="pull-left">
														<h4 title="<?php echo $item->item_name; ?>"><?php echo $item->item_name; ?></h4>
														<p class="item-description"><?php echo $item->item_description; ?></p>

														<?php if (!empty($item->options)) :
															$min_price = 0.0;
															$tmp_prices = array();
															foreach ($item->options as $o) {
																if(!array_key_exists($o->option_sets_id,$tmp_prices)) {
																	$tmp_prices[$o->option_sets_id] = 100000;
																}
																if($o->price < $tmp_prices[$o->option_sets_id]) {
																	$tmp_prices[$o->option_sets_id] = $o->price;
																}
															}
															foreach($tmp_prices as $t) {
																$min_price+= (float)$t;
															}
														?>
																												
												
															<p>Upon Selection</p>

														<?php else : ?>

															<p><?php echo $currency_symbol . " " . returnPrice($item->item_cost); ?></p>

														<?php endif; ?>
													</div>


													<div class="pull-right">
														<!---add to cart/choose addons,items-->

														<?php

														if (empty($item->addons) && empty($item->options)) :
														?>

															<!---->
															<form id="item_form_<?php echo $item->item_id; ?>">

																<input type="hidden" id="itemFrom<?php echo $item->item_id; ?>" value="items">
																<input type="hidden" id="selected_item_id<?php echo $item->item_id; ?>" value="<?php echo $item->item_id; ?>">
																<input type="hidden" id="selected_menu_id<?php echo $item->item_id; ?>" value="<?php echo $item->menu_id; ?>">
																<input type="hidden" id="selected_item_cost<?php echo $item->item_id; ?>" value="<?php echo $item->item_cost; ?>">
															</form>
															<!---->

															<a href="javascript:void(0);" onclick="addToCart('<?php echo $item->item_id; ?>')" class="btn btn-sm btn-round btn-primary card-btn"><?php echo get_languageword('add_to_cart'); ?></a>

														<?php else : ?>

															<a href="javascript:void(0);" onclick="get_adns_options('<?php echo $item->item_id; ?>')" class="btn btn-sm btn-round btn-primary card-btn"> <?php echo get_languageword('choose'); ?> <i class="fa fa-angle-down"></i></a>

														<?php endif; ?>
													</div>

												</div>
											</div>
										</div>
									<?php } ?>




									<div class="more-items-block">

									</div>

								</div>
								<div class="row">
									<div class="col-sm-12">
										<div class="text-center">
											<?php
											if ((int)$total_items <= (int)$offset) { ?>
												<a href="javascript:void(0)" id="load_more" onclick="get_more_items('<?php echo $menu_id; ?>')" style="display:none;" class="btn btn-load-more"><?php echo get_languageword('load_more'); ?></a>
											<?php } else { ?>
												<a href="javascript:void(0)" id="load_more" onclick="get_more_items('<?php echo $menu_id; ?>')" class="btn btn-load-more"><?php echo get_languageword('load_more'); ?></a>
											<?php
											}
											?>
											<input type="hidden" id="total_items_<?php echo $menu_id; ?>" value="<?php if (isset($total_items)) echo $total_items; ?>">
											<input type="hidden" id="offset_<?php echo $menu_id; ?>" value="<?php if (isset($offset)) echo $offset; ?>">

										</div>
									</div>
								</div>

							<?php else :

								echo '<h4>' . get_languageword('no_items_available') . ' </h4>';

							endif; ?>
							<!--SELECTED MENU ITEMS BLOCK-->



						</div>



					</div>
					<!--Content end-->

			<?php
				endforeach;
			}
			?>

		</div>
		<!--ITEMS DIV-->
		<!--CART DIV-->
		<div class="col-sm-3" id="item-sidebar">
			<div class="cs-card cart-card card-y-auto ml-lg-2 item-sidebar">
				<div class="card-header bordered"><?php echo get_languageword('your_cart'); ?></div>
				<div id="fc-cart-div">
				</div>
				<div class="checkout-btn">
					<?php

					if (get_today_closed_status() || !get_current_operational_status()) { ?>
						<a href="javascript:void(0);" class="btn btn-primary btn-block btn-checkout" data-toggle="modal" data-target="#closed-modal"><?php echo get_languageword('checkout'); ?> </a>
					<?php } else { ?>
						<a href="<?php echo URL_CART_INDEX; ?>" class="btn btn-primary btn-block btn-checkout"> <?php echo get_languageword('checkout'); ?> </a>
					<?php } ?>
				</div>
			</div>
		</div>
		<!--CART DIV-->
	</div>
</div>

<script>
	var pushed = [];
	var topRange = 200, // measure from the top of the viewport to X pixels down
		edgeMargin = 20, // margin above the top or margin from the end of the page
		animationTime = 1200, // time in milliseconds
		contentTop = [];


	// A $( document ).ready() block.
	$(document).ready(function() {

		// Stop animated scroll if the user does something
		$('html,body').bind('scroll mousedown DOMMouseScroll mousewheel keyup', function(e) {
			if (e.which > 0 || e.type == 'mousedown' || e.type == 'mousewheel') {
				$('html,body').stop();
			}
		})

		// Set up content an array of locations
		$('a.list-group-item').each(function() {

			contentTop.push($($(this).attr('href')).offset().top);
		})

		// Animate menu scroll to content
		$('a.list-group-item').click(function() {
			var sel = this,
				newTop = Math.min(contentTop[$('a.list-group-item').index($(this))], $(document).height() - $(window).height()); // get content top or top position if at the document bottom
			$('html,body').stop().animate({
				'scrollTop': newTop
			}, animationTime, function() {
				window.location.hash = $(sel).attr('href');
			});
			return false;
		})

		// adjust side menu

		$(window).scroll(function() {
			var winTop = $(window).scrollTop(),
				bodyHt = $(document).height(),
				vpHt = $(window).height() + edgeMargin; // viewport height + margin

			$.each(contentTop, function(i, loc) {
				if ((loc > winTop - edgeMargin && (loc < winTop + topRange || (winTop + vpHt) >= bodyHt))) {
					$('a.list-group-item')
						.removeClass('active')
						.eq(i).addClass('active');
					if ($(window).width() < 768) {

						var position = $('').position();
						var myScrollPos = $('a.list-group-item.active').offset().left + $('a.list-group-item.active').outerWidth(true) / 2 + $('.categories-list ul').scrollLeft() - $('.categories-list ul').width() / 2;
						$('.categories-list ul').scrollLeft(myScrollPos);


					}


				}
			});

		});


		load_cart_div();

		$(".toggle-cats").click(function() {
			$(this).toggleClass('open');
			$(".categories-list").toggleClass('open');
		});
		jQuery('.grid').masonry({
			itemSelector: '.grid-item',
			columnWidth: '.col-sm-6',
			percentPosition: true
		});


	});


	function remove_active() {
		$('a.list-group-item').removeClass("active");
		return $("a.list-group-item").hasClass("active");
	}

	function get_more_items(menu_id) {


		var offset = $('#offset_' + menu_id).val();
		var category_name = '#category_' + menu_id;

		var new_offset = parseInt(offset) + parseInt('<?php echo MENU_ITEMS_PER_PAGE; ?>');

		var total_items = $("#total_items_" + menu_id).val();

		$("body").addClass("ajax-load");

		if (menu_id > 0) {

			$.ajax({
				url: '<?php echo base_url(); ?>welcome/get_menu_more_items_block',
				type: 'POST',
				data: '<?php echo $this->security->get_csrf_token_name(); ?>=<?php echo $this->security->get_csrf_hash(); ?>&menu_id=' + menu_id + '&offset=' + offset,
				success: function(response) {

					$("body").removeClass("ajax-load");

					$(".items-block " + category_name + " .grid.row").append(response);

					$('#offset_' + menu_id).val(new_offset);

					if (total_items <= new_offset) {
						$("#load_more").fadeOut();
					}

					$('.grid').masonry('reloadItems');
					$('.grid').masonry('layout');
				}
			});
		}
	}
</script>