<?php if (!isset($header_hide)) { ?>

    <?php
    if (!isset($hide_mob_checkout)) : ?>
        <?php if (get_today_closed_status() || !get_current_operational_status()) { ?>
            <a href="javascript:void(0);" id="myBtn" data-toggle="modal" data-target="#closed-modal" title="Go to Cart" class="btn btn-sm btn-round btn-primary card-btn"><i class="fa fa-shopping-cart" aria-hidden="true"></i> &nbsp; Checkout</a>
        <?php } else { ?>
            <a href="<?php echo URL_CART_INDEX; ?>" id="myBtn" title="Go to Cart" class="btn btn-sm btn-round btn-primary card-btn"><i class="fa fa-shopping-cart" aria-hidden="true"></i> &nbsp; Checkout</a>
        <?php } ?>
    <?php endif; ?>
    <footer class="ct-footer">
        <div class="container">
            <div class="row">
                <div class="col-lg-3 col-md-4 col-sm-6 col-xs-12">

                    <img class="img-responsive footer-logo" src="<?php echo get_second_site_logo(); ?>" alt="Logo">


                    <?php

                    $clg = 3;
                    ?>
                </div>

                <div class="col-lg-<?php echo $clg; ?> col-md-4 col-sm-6 col-xs-12">
                    <h4 class="footer-head"><?php echo get_languageword('our_links'); ?></h4>
                    <ul class="cs-footer-links">
                        <li><a href="<?php echo SITEURL; ?>"><?php echo get_languageword('home'); ?></a></li>
                        <li><a href="#menu"><?php echo get_languageword('menu'); ?></a></li>
                        <li><a href="#contact"><?php echo get_languageword('contact_us'); ?></a></li>
                    </ul>
                </div>
                <div class="col-lg-<?php echo $clg; ?> col-md-4 col-sm-6 col-xs-12">

                    <?php
                    $cms_pages = get_pages();
                    if (!empty($cms_pages)) {
                    ?>

                        <h4 class="footer-head"><?php echo get_languageword('links'); ?></h4>
                        <ul class="cs-footer-links">

                            <?php
                            if (in_array('terms-conditions', $cms_pages)) { ?>

                                <li><a href="<?php echo URL_TERMS_CONDITIONS; ?>"><?php echo get_languageword('terms_conditions'); ?></a>
                                </li>
                            <?php }
                            if (in_array('privacy-policy', $cms_pages)) { ?>

                                <li><a href="<?php echo URL_PRIVACY_POLICY; ?>"><?php echo get_languageword('privacy_policy'); ?></a>
                                </li>
                            <?php }
                            if (in_array('refunds-policy', $cms_pages)) { ?>

                                <li><a href="<?php echo URL_HOW_IT_WORKS; ?>"><?php echo get_languageword('how_it_works'); ?></a>
                                </li>
                            <?php }

                            ?>

                        </ul>

                    <?php } ?>

                </div>
                <div class="col-lg-3 col-md-4 col-sm-6 col-xs-12" id="contact" name="contact">
                    <h4 class="footer-head"><?php echo get_languageword('contact_us'); ?></h4>

                    <div class="">
                        <div class="media-left ct-icon-font">
                            <a href="tel:<?php echo $this->config->item('site_settings')->phone; ?>"><i class="fa fa-phone" aria-hidden="true"></i></a>
                        </div>
                        <div class="media-body ct-media-bodys">
                            <h4 class="media-heading">
                                <a href="tel:<?php echo $this->config->item('site_settings')->phone; ?>">
                                    <?php echo $this->config->item('site_settings')->phone; ?></a>
                            </h4>

                        </div>
                    </div>
                    <div class="">
                        <div class="media-left ct-icon-font">

                            <a href="mailto:<?php echo $this->config->item('site_settings')->portal_email; ?>" target="_blank">
                                <i class="fa fa-envelope" aria-hidden="true"></i>
                            </a>

                        </div>
                        <div class="media-body ct-media-bodys">
                            <h4>
                                <a href="mailto:<?php echo $this->config->item('site_settings')->portal_email; ?>" target="_blank">
                                    <?php echo $this->config->item('site_settings')->portal_email; ?></a>
                            </h4>
                        </div>
                    </div>
                    <?php if (isset($this->config->item('social_networks')->instagram) && $this->config->item('social_networks')->instagram != '') { ?>
                        <div class="">
                            <div class="media-left ct-icon-font">
                                <a href="<?php echo $this->config->item('social_networks')->instagram; ?>" target="_blank">
                                    <i class="fa fa-instagram" aria-hidden="true"></i>
                                </a>
                            </div>
                            <?php if (isset($this->config->item('social_networks')->instagram) && $this->config->item('social_networks')->instagram != '') { ?>
                                <div class="media-body ct-media-bodys">
                                    <h4>
                                        <a href="<?php echo $this->config->item('social_networks')->instagram; ?>" target="_blank">
                                            <?php echo $this->config->item('social_networks')->ig_handle ?>
                                        </a>
                                    </h4>

                                </div>
                            <?php } ?>
                        </div>
                    <?php
                    }
                    ?>


                </div>
            </div>

        </div>
    </footer>

    <section class="ct-subfoot">
        <div class="container">
            <div class="row">
                <div class="col-sm-12 text-center">
                    <div class="copy-text"><a href="http://thealligator.app" title="The Alligator" target="_blank">Website by Alligator. Copyright <?php echo date('Y'); ?>. © All Rights Reserved.</a></div>
                </div>



            </div>
        </div>
    </section>
    </div>

    <!--  Bootstrap core JavaScript
    ============================================== -->
    <!-- Placed at the end of the document so the pages load faster -->

    <!--script src="<?php //echo JS_FRONT_JQUERY_MIN;
                    ?>"></script-->

    <?php $this->load->view('common/popup_script'); ?>



<script src="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-cookie/1.4.0/jquery.cookie.js"></script>


    <script>
        jQuery(document).ready(function() {
            $('.lazy').Lazy({
                // your configuration goes here
                scrollDirection: 'vertical',
                effect: 'show',
                visibleOnly: true,
                onError: function(element) {
                    console.log('error loading ' + element.data('src'));
                }
            });
            var windowWidth = window.innerWidth;
            if (windowWidth < 768) {
                var s = jQuery("#menu");
                var r = jQuery("#menu-sidebar, .mobile-margin");
                var pos = s.position();
                jQuery(window).scroll(function() {
                    var windowpos = jQuery(window).scrollTop();
                    if (windowpos >= pos.top & windowpos >= 10) {
                        r.addClass("stick");

                    } else {
                        r.removeClass("stick");

                    }
                });


            }
            $(".list-group-item").click(function() {
                var target = jQuery(this).attr('href');
                $([document.documentElement, document.body]).animate({
                    scrollTop: $(target).offset().top - 70
                }, 600);
                return false;
            });

            if (windowWidth >= 768) {
                jQuery('#item-sidebar,#menu-sidebar').theiaStickySidebar({
                    additionalMarginTop: 30
                });

            }
            mybutton = document.getElementById("myBtn");

            // When the user scrolls down 20px from the top of the document, show the button
            window.onscroll = function() {
                scrollFunction()
            };


            $(".chzn-select").chosen();

        });

        function scrollFunction() {
            if ($(window).width() < 768 && (document.body.scrollTop > 20 || document.documentElement.scrollTop > 20)) {
                mybutton.style.display = "block";
            } else {
                mybutton.style.display = "none";
            }
        }

        // When the user clicks on the button, scroll to the top of the document
        function topFunction() {
            document.body.scrollTop = 0; // For Safari
            document.documentElement.scrollTop = 0; // For Chrome, Firefox, IE and Opera
        }

        function photo(input, name) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();
                reader.onload = function(e) {
                    input.style.width = '50%';
                    $('#' + name + '').attr('src', e.target.result);
                    $('#' + name + '').fadeIn();
                };
                reader.readAsDataURL(input.files[0]);
            }
        }
        <?php if(!isset($this->config->item('site_settings')->popup_enable) || $this->config->item('site_settings')->popup_enable==1 && $this->config->item('site_settings')->popup_image != '' && file_exists(POPUP_IMG_UPLOAD_PATH_URL . $this->config->item('site_settings')->popup_image)): ?>
		jQuery(document).ready(function () {
			function openFancybox() {
				setTimeout(function () {
					jQuery('#welcomepopup').trigger('click');
				}, 500);
			};
			var visited = jQuery.cookie('visited');
			if (visited == 'yes') {
				
			} else {
				openFancybox(); 
			}
			jQuery.cookie('visited', 'yes', {
				expires: 2 // the number of days cookie  will be effective
			});
			jQuery("#welcomepopup").fancybox({modal:false, maxWidth: 700, padding:0, overlay : {closeClick : true},closeClickOutside : true});
		});
    <?php endif; ?> 
    </script>


    <!--PNOTIFY JS-->
    <script type="text/javascript" src="<?php echo PNOTIFY_MIN_JS; ?>"></script>
    <script type="text/javascript" src="<?php echo PNOTIFY_ANIMATE_JS; ?>"></script>
    <script type="text/javascript" src="<?php echo PNOTIFY_BUTTON_JS; ?>"></script>
    <script type="text/javascript" src="<?php echo PNOTIFY_CALLBACK_JS; ?>"></script>
    <script type="text/javascript" src="<?php echo PNOTIFY_CONFIRM_JS; ?>"></script>
    <script type="text/javascript" src="<?php echo PNOTIFY_DESKTOP_JS; ?>"></script>

    <script src="<?php echo JS_FUNCTIONS; ?>"></script>
    <script>
        var add_cart_target_url = '<?php echo base_url(); ?>cart/add_cart_item';

        var update_cart_target_url = '<?php echo base_url(); ?>cart/update_cart_item';

        var remove_cart_target_url = '<?php echo base_url(); ?>cart/remove_cart_item';

        var currency_symbol = '<?php echo $this->config->item('site_settings')->site_title; ?>';
    </script>

<?php } ?>
</body>

</html>