<!DOCTYPE html>
<html lang="<?php echo get_language_code(); ?>" dir="<?php echo language_type(); ?>">

<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="author" content="Conquerors Team">


    <link rel="icon" href="<?php echo get_fevicon(); ?>">
    <meta property="og:site_name" content="<?php echo $this->config->item('site_settings')->site_title; ?>">
    <meta property="og:title" content="<?php echo $this->config->item('site_settings')->site_title; ?>" />
    <meta property="og:image" itemprop="image" content="<?php echo get_site_logo(); ?>">
    <meta property="og:type" content="website" />
    <title> <?php if (isset($this->config->item('site_settings')->site_title)) echo $this->config->item('site_settings')->site_title; ?></title>
		<?php  
			$theme_option=get_theme_option();
			$theme_color='eb0026';
			$theme_font='Roboto';
			if(!empty($theme_option)){
				if(!empty($theme_option['color'])){
					$theme_color=$theme_option['color'];
				}
				if(!empty($theme_option['font'])){
					$theme_font=$theme_option['font'];
				}
			}
		?>
		
	<link href="<?php echo CSS_FRONT_MAIN;?>" rel="stylesheet">
	<link href="https://fonts.googleapis.com/css2?family=<?php echo str_replace(' ', '+', $theme_font); ?>&display=swap" rel="stylesheet">
		
	<link rel="stylesheet" type="text/css" href="https://cdnjs.cloudflare.com/ajax/libs/fancybox/2.1.5/jquery.fancybox.min.css" />
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="<?php echo CSS_CHOSEN_MIN; ?>" rel="stylesheet" />
    <!-- PNOTIFY CSS-->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <!--Slick Slider Section-->
    <script src="<?php echo JS_FRONT_MERGED; ?>"></script>
    <link href="<?php echo PNOTIFY_ALL_CSS;?>" rel="stylesheet">

    <style>
		html {
			scroll-behavior: smooth;
		}
		:root {
			--main-color:#<?php echo $theme_color ?>;
			--theme-font:<?php echo $theme_font; ?>;
		}
		body {
			font-family: "<?php echo $theme_font; ?>" !important;
		}
		 
	</style>

</head>
<!-- =======================NAVBAR=========================== -->

<body>
    <div class="main-wrapper">
	<?php if(!isset($this->config->item('site_settings')->popup_enable) || $this->config->item('site_settings')->popup_enable==1 && $this->config->item('site_settings')->popup_image != '' && file_exists(POPUP_IMG_UPLOAD_PATH_URL . $this->config->item('site_settings')->popup_image)){ ?>
		<a id="welcomepopup" href="#welcome-popup" style="display:none;"></a>
		<div id="welcome-popup" style="display:none;text-align:center;">
		<img src="<?php echo get_home_popup_img(); ?>" alt="" id="popup_banner">
		</div>
	<?php } ?>
	<?php if(!isset($header_hide)){ ?>
        <div class="navbar-wrapper">
            <!--Food Court Navbar Section-->
            <nav class="navbar navbar-static-top ct-navbar-statictop navbar-secondary">
                <div class="container">
                    <div class="row">
                        <div class="ct-logo">
                          
                                <a class="navbar-brand" href="<?php echo SITEURL; ?>"><img class="img-responsive flogo" src="<?php echo get_site_logo(); ?>" alt="FoodCourt">
                                </a>

                        </div>
                    
                    </div>
                </div>
            </nav>
        </div>
        <div class="hero-banner" style="background-image:url('<?php echo get_home_page_img(); ?>')">
            <div class="hero-title">

                <h1> <?php echo $this->config->item('site_settings')->site_title; ?></h1>

            </div>
        </div>
		<?php if($this->config->item('site_settings')->information_bar == "showall" || $this->config->item('site_settings')->information_bar == "noicon"){ ?>
        <section class="fc-servicess gray-bg pt-6 pb-3" id="topfeatures">
            <div class="container">

                <div class="row">

                    <div class="col-md-3 col-sm-6 col-xs-6">
                        <div class="fc-services text-center">
					<?php if(!$this->config->item('site_settings')->information_bar == "noicon" || $this->config->item('site_settings')->information_bar == "showall"){ ?>
                            <div class="fc-services-icon">
								<svg version="1.1" class="icon-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
								<defs>
								</defs>
								<path class="icon-shape" d="M256,233.5c-1.4,0-2.78,0.14-4.11,0.38l-68.65-118.9c-2.07-3.59-6.66-4.82-10.24-2.75c-3.59,2.07-4.82,6.66-2.74,10.25l68.65,118.91c-3.37,3.93-5.41,9.04-5.41,14.61c0,9.78,6.27,18.11,15,21.21V444.5c0,4.14,3.36,7.5,7.5,7.5c4.14,0,7.5-3.36,7.5-7.5V277.21c8.73-3.1,15-11.43,15-21.21C278.5,243.59,268.41,233.5,256,233.5zM256,263.5c-4.14,0-7.5-3.36-7.5-7.5s3.36-7.5,7.5-7.5c4.14,0,7.5,3.36,7.5,7.5C263.5,260.14,260.14,263.5,256,263.5zM437.02,74.98C388.67,26.63,324.38,0,256,0S123.33,26.63,74.98,74.98S0,187.62,0,256s26.63,132.67,74.98,181.02S187.62,512,256,512s132.67-26.63,181.02-74.98S512,324.38,512,256S485.37,123.33,437.02,74.98zM256,497C123.11,497,15,388.89,15,256S123.11,15,256,15s241,108.11,241,241S388.89,497,256,497zM256,60c4.14,0,7.5,3.36,7.5,7.5S260.14,75,256,75c-4.14,0-7.5-3.36-7.5-7.5S251.86,60,256,60z M161.75,85.25c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5S157.61,85.25,161.75,85.25z M92.75,154.25c4.14,0,7.5,3.36,7.5,7.5
								s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5S88.61,154.25,92.75,154.25z M67.5,248.5c4.14,0,7.5,3.36,7.5,7.5c0,4.14-3.36,7.5-7.5,7.5
								S60,260.14,60,256C60,251.86,63.36,248.5,67.5,248.5z M92.75,342.75c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5
								S88.61,342.75,92.75,342.75z M161.75,411.75c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5
								S157.61,411.75,161.75,411.75z M350.25,411.75c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5
								S346.11,411.75,350.25,411.75z M419.25,342.75c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5
								S415.11,342.75,419.25,342.75z M444.5,248.5c4.14,0,7.5,3.36,7.5,7.5c0,4.14-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5C437,251.86,440.36,248.5,444.5,248.5z M419.25,154.25c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5
								S415.11,154.25,419.25,154.25z M350.25,85.25c4.14,0,7.5,3.36,7.5,7.5s-3.36,7.5-7.5,7.5s-7.5-3.36-7.5-7.5
								S346.11,85.25,350.25,85.25z M415.81,96.19C373.12,53.51,316.37,30,256,30c-54.61,0-107.33,19.75-148.46,55.6c-3.12,2.72-3.45,7.46-0.72,10.58c2.72,3.12,7.46,3.45,10.58,0.72C155.79,63.44,205.01,45,256,45c116.35,0,211,94.65,211,211s-94.65,211-211,211S45,372.35,45,256c0-50.99,18.44-100.21,51.91-138.6c2.72-3.12,2.4-7.86-0.72-10.58c-3.12-2.72-7.86-2.4-10.58,0.72C49.75,148.66,30,201.39,30,256c0,60.37,23.51,117.12,66.19,159.81S195.63,482,256,482s117.12-23.51,159.81-66.19S482,316.37,482,256S458.49,138.88,415.81,96.19z"/>
								</svg>
							</div>
						<?php } ?>
							<h4 class="fc-reserve">Opening Hours  </h4>
							<?php if(get_today_closed_status()){ ?>
							  <div class="fc-summary">Closed Today</div>
							<?php }else{ ?>
							<div class="fc-summary"> 
							<?php  echo get_today_from_time(); ?> -  <?php echo get_today_to_time(); ?>
							</div>
							<?php } ?> 
							
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-6">
                        <div class="fc-services text-center">
						<?php if(!$this->config->item('site_settings')->information_bar == "noicon" || $this->config->item('site_settings')->information_bar == "showall"){ ?>
                            <div class="fc-services-icon">
								<svg version="1.1" class="icon-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 495.98 512" style="enable-background:new 0 0 495.98 512;" xml:space="preserve">
								<defs>
								</defs>
								<path class="icon-shape" d="M389.67,325.63c-16.32,0-29.6,13.28-29.6,29.6s13.28,29.6,29.6,29.6s29.6-13.28,29.6-29.6S405.99,325.63,389.67,325.63zM389.67,370.23c-8.28,0-15.01-6.73-15.01-15.01s6.73-15.01,15.01-15.01s15.01,6.73,15.01,15.01S397.95,370.23,389.67,370.23zM479.58,299.89h-7.66v-69.02c0-10.93-5.44-20.6-13.74-26.48V195c0-13.63-11.09-24.72-24.72-24.72h-5.72l21.89-32.12c7.34-10.77,4.55-25.49-6.22-32.83L294.88,4.11c-5.21-3.56-11.5-4.87-17.7-3.69c-6.2,1.17-11.57,4.69-15.13,9.91l-128.2,188.12H98.17l8.61-87.13c0.1-0.98,0.74-1.83,1.62-2.17c11.09-4.18,20.7-11.99,27.06-21.99c0.5-0.79,1.45-1.24,2.42-1.14l55.96,5.53c4.01,0.39,7.58-2.53,7.98-6.54s-2.53-7.58-6.54-7.98l-55.96-5.53c-6.49-0.64-12.69,2.36-16.17,7.82c-4.68,7.35-11.74,13.09-19.9,16.16c-6.14,2.31-10.35,7.83-11,14.39l-8.75,88.56h-9.3l13.61-137.8c0.49-4.96,4.92-8.6,9.88-8.11l113.07,11.17c4.01,0.39,7.58-2.53,7.98-6.54s-2.53-7.58-6.54-7.98L99.13,38.02c-12.96-1.28-24.56,8.23-25.84,21.19L62.32,170.28H43.64c-13.63,0-24.72,11.09-24.72,24.72v6.41C7.76,206.55,0,217.82,0,230.88v248.7C0,497.45,14.55,512,32.43,512h407.07c17.88,0,32.43-14.55,32.43-32.43v-69.01h7.66c9.04,0,16.4-7.36,16.4-16.4v-77.86C495.98,307.25,488.63,299.89,479.58,299.89zM433.46,184.88L433.46,184.88c5.59,0,10.13,4.54,10.13,10.13v3.72c-1.34-0.17-2.7-0.27-4.09-0.27h-30.95l9.25-13.58H433.46zM274.1,18.55c1.36-2,3.42-3.34,5.79-3.79c0.57-0.11,1.14-0.16,1.7-0.16c1.8,0,3.55,0.54,5.07,1.57l148.53,101.22c4.12,2.81,5.19,8.44,2.38,12.56l-46.69,68.51h-11.2l22.89-33.59c3.71-5.45,4.02-12.38,0.8-18.09c-4.28-7.59-6.02-16.53-4.89-25.17c0.84-6.43-1.99-12.7-7.38-16.38l-77-52.47c-5.39-3.67-12.27-4.01-17.94-0.88c-7.62,4.21-16.58,5.86-25.21,4.65c-6.4-0.9-12.89,1.99-16.55,7.36l-91.7,134.56h-11.2L274.1,18.55zM277.31,142.44c-31.77,0-57.85,24.77-59.98,56.01h-36.98l86.1-126.34c0,0,0,0,0,0c0.49-0.72,1.3-1.15,2.13-1.15c0.11,0,0.22,0.01,0.33,0.02c11.74,1.64,23.91-0.6,34.29-6.33c0.82-0.45,1.86-0.39,2.67,0.16l77,52.47c0.81,0.55,1.25,1.5,1.13,2.43c-1.54,11.75,0.83,23.9,6.65,34.22c0.47,0.83,0.41,1.89-0.14,2.71l-28.49,41.8h-24.73C335.16,167.21,309.08,142.44,277.31,142.44z M322.66,198.45h-90.7c2.09-23.19,21.62-41.42,45.35-41.42C301.04,157.03,320.57,175.26,322.66,198.45z M33.51,195c0-5.59,4.54-10.13,10.13-10.13h17.24l-1.34,13.58H33.51V195z M14.59,230.88c0-9.83,8-17.83,17.84-17.83h407.07c9.83,0,17.83,8,17.83,17.83v20.24H14.59V230.88zM457.33,479.57c0,9.83-8,17.83-17.83,17.83H32.43c-9.84,0-17.84-8-17.84-17.83v-20.24h39.34c4.03,0,7.29-3.27,7.29-7.3c0-4.03-3.27-7.3-7.29-7.3H14.59V265.71h442.74v34.18h-69.37h0c-21.86,0-40.79,12.74-49.77,31.18c-0.03,0.06-0.06,0.12-0.1,0.18c-0.08,0.16-0.14,0.32-0.22,0.48c-1.07,2.27-2,4.63-2.76,7.05c0,0.01,0,0.01-0.01,0.02c-1.61,5.19-2.49,10.7-2.49,16.42c0,30.51,24.82,55.33,55.33,55.33h0h69.37v34.18H100.65c-4.03,0-7.29,3.27-7.29,7.3c0,4.03,3.27,7.3,7.29,7.3h356.68V479.57zM481.39,394.16c0,1-0.81,1.81-1.81,1.81h-91.62c-15.45,0-28.91-8.64-35.82-21.34c-0.31-0.58-0.61-1.16-0.9-1.76c-0.57-1.19-1.09-2.41-1.55-3.65c-1.6-4.37-2.48-9.08-2.48-13.99s0.88-9.63,2.48-13.99c0.46-1.25,0.98-2.47,1.55-3.65c0.29-0.59,0.59-1.18,0.9-1.76c6.91-12.7,20.37-21.34,35.82-21.34h91.62c1,0,1.81,0.81,1.81,1.81L481.39,394.16L481.39,394.16z"/>
								</svg>
							</div>
						<?php }  if(!isset($this->config->item('site_settings')->min_order) || $this->config->item('site_settings')->min_order==0): ?>    
                            <h4 class="fc-reserve">BD 0</h4>
                            <?php else: ?>
                                <h4 class="fc-reserve">BD <?php echo $this->config->item('site_settings')->min_order; ?></h4>
                            <?php endif ; ?>
                            <div class="fc-summary">Minimum Order Value</div>
                            
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-6">
                        <div class="fc-services text-center delivery-icon">
						<?php if(!$this->config->item('site_settings')->information_bar == "noicon" || $this->config->item('site_settings')->information_bar == "showall"){ ?>
                            <div class="fc-services-icon">
                               <svg version="1.1" class="icon-svg svg-delivery" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"  viewBox="0 0 512 374.26" style="enable-background:new 0 0 512 374.26;" xml:space="preserve">
									<defs>
									</defs>
									<path  class="icon-shape" d="M414.5,119.66h-32.23l9.71-111.51c0.02-0.2,0.02-0.4,0.02-0.6c0-0.02,0-0.03,0-0.05c0,0,0,0,0-0.01
									c0-3.04-1.83-5.71-4.52-6.87c-0.02-0.01-0.05-0.02-0.07-0.03c-0.17-0.07-0.34-0.13-0.51-0.19c-0.07-0.02-0.13-0.05-0.19-0.07c-0.14-0.04-0.29-0.08-0.43-0.11c-0.1-0.02-0.2-0.05-0.3-0.07c-0.13-0.03-0.26-0.04-0.39-0.06c-0.12-0.02-0.24-0.04-0.36-0.05c-0.02,0-0.04-0.01-0.06-0.01c-0.13-0.01-0.26-0.01-0.39-0.01c-0.09,0-0.17-0.01-0.26-0.01h-0.09c-0.01,0-0.02,0-0.02,0H231.01c-4.14,0-7.5,3.36-7.5,7.5c0,4.13,3.36,7.5,7.5,7.5h145.31L361.4,186.38c0,0.01,0,0.03,0,0.04l-3.77,43.24H97.02l4.36-45H151c4.14,0,7.5-3.36,7.5-7.5s-3.36-7.5-7.5-7.5h-48.17l9.2-95h78.98c4.14,0,7.5-3.36,7.5-7.5s-3.36-7.5-7.5-7.5h-77.52L117.82,15h83.19c4.13,0,7.5-3.37,7.5-7.5c0-4.14-3.37-7.5-7.5-7.5h-90c0,0-0.01,0-0.01,0c-3.52,0-6.58,2.48-7.32,5.92c0,0.03-0.01,0.05-0.02,0.07c-0.04,0.19-0.06,0.38-0.09,0.57c-0.01,0.06-0.02,0.12-0.03,0.18c0,0.01,0,0.02,0,0.04l-5.12,52.89H7.5c-4.14,0-7.5,3.36-7.5,7.5s3.36,7.5,7.5,7.5h89.46l-9.2,94.99H61c-4.14,0-7.5,3.36-7.5,7.5s3.36,7.5,7.5,7.5h25.31l-5.01,51.72c0,0.01,0,0.02,0,0.02l-7.75,79.98c0,0.01,0,0.02,0,0.03l0,0.03c-0.01,0.1-0.01,0.21-0.01,0.31c-0.01,0.14-0.02,0.27-0.02,0.41c0,0.01,0,0.01,0,0.02c0,0.19,0.01,0.38,0.03,0.57c0.01,0.06,0,0.12,0.01,0.18c0.02,0.19,0.05,0.39,0.09,0.58c0.01,0.06,0.01,0.11,0.03,0.17c0.03,0.14,0.07,0.28,0.11,0.42c0.03,0.1,0.05,0.2,0.08,0.3c0.01,0.03,0.02,0.05,0.03,0.08c0.36,1.12,0.98,2.12,1.78,2.94c0.01,0.02,0.03,0.03,0.04,0.05c0.08,0.08,0.17,0.15,0.25,0.23c0.52,0.47,1.1,0.88,1.74,1.19c0.13,0.07,0.26,0.14,0.4,0.19c0.04,0.02,0.08,0.03,0.13,0.05c0.19,0.08,0.38,0.15,0.57,0.21c0.02,0.01,0.04,0.01,0.05,0.01c0.22,0.07,0.45,0.12,0.68,0.17c0.03,0.01,0.06,0.01,0.09,0.01c0.22,0.04,0.44,0.08,0.66,0.1c0,0,0.01,0,0.01,0c0.25,0.02,0.49,0.04,0.73,0.04c0,0,0.01,0,0.01,0h33.39c3.69,27.95,27.65,49.6,56.6,49.6c28.94,0,52.91-21.65,56.6-49.6h120.3c3.69,27.95,27.65,49.6,56.6,49.6c28.94,0,52.91-21.65,56.6-49.6h33.4c0.01,0,0.01,0,0.02,0c0.25,0,0.5-0.02,0.74-0.04c0.04,0,0.09-0.01,0.13-0.02c0.2-0.02,0.39-0.05,0.58-0.09c0.08-0.02,0.16-0.04,0.24-0.06c0.15-0.03,0.3-0.07,0.44-0.11c0.1-0.03,0.19-0.06,0.29-0.1c0.12-0.04,0.25-0.09,0.37-0.14c0.1-0.04,0.2-0.09,0.3-0.13c0.11-0.05,0.22-0.1,0.33-0.16c0.1-0.05,0.2-0.11,0.3-0.16c0.1-0.06,0.2-0.12,0.31-0.19c0.09-0.06,0.19-0.12,0.28-0.18c0.1-0.07,0.2-0.15,0.3-0.22c0.08-0.07,0.17-0.13,0.24-0.2c0.1-0.09,0.2-0.18,0.3-0.27c0.07-0.07,0.14-0.13,0.2-0.2c0.1-0.11,0.2-0.22,0.3-0.33c0.05-0.06,0.11-0.12,0.16-0.18c0.11-0.14,0.21-0.28,0.31-0.42c0.03-0.05,0.07-0.1,0.11-0.15c0.12-0.18,0.24-0.37,0.34-0.57c0.01-0.01,0.02-0.02,0.02-0.04c0.11-0.21,0.22-0.42,0.31-0.64c0.03-0.06,0.05-0.13,0.07-0.19c0.06-0.16,0.12-0.31,0.17-0.47c0.03-0.1,0.06-0.21,0.09-0.32c0.03-0.12,0.07-0.25,0.1-0.38c0.02-0.11,0.04-0.23,0.06-0.34c0.02-0.1,0.04-0.2,0.05-0.3c0.32-2.55,6.19-49.67,8.81-80.13c0-0.03,0-0.06,0.01-0.09c0.76-8.78,1.24-16.18,1.24-20.71C512,163.4,468.26,119.66,414.5,119.66zM380.96,134.66h30.68l-3.92,45h-30.68L380.96,134.66zM171.01,359.26c-23.22,0-42.1-18.89-42.1-42.1s18.89-42.1,42.1-42.1s42.1,18.89,42.1,42.1S194.22,359.26,171.01,359.26z M404.5,359.26c-23.22,0-42.1-18.89-42.1-42.1s18.89-42.1,42.1-42.1c23.22,0,42.11,18.89,42.11,42.1S427.71,359.26,404.5,359.26zM487.86,309.66H461.1c-3.69-27.95-27.65-49.61-56.6-49.61c-28.94,0-52.91,21.65-56.6,49.61H227.6c-3.69-27.95-27.65-49.61-56.6-49.61s-52.91,21.65-56.6,49.61H89.27l6.3-65H364.5v0c0,0,0.01,0,0.01,0c0.25,0,0.5-0.01,0.75-0.04c0.05,0,0.09-0.01,0.14-0.02c0.2-0.02,0.39-0.05,0.58-0.09c0.08-0.02,0.16-0.04,0.25-0.06c0.15-0.04,0.3-0.07,0.45-0.11c0.1-0.03,0.2-0.07,0.29-0.1c0.13-0.04,0.25-0.09,0.37-0.14c0.11-0.04,0.21-0.09,0.31-0.14c0.11-0.05,0.22-0.1,0.33-0.16c0.1-0.05,0.2-0.11,0.3-0.17c0.1-0.06,0.2-0.12,0.3-0.18c0.1-0.06,0.19-0.13,0.28-0.2c0.1-0.07,0.2-0.14,0.29-0.22c0.09-0.07,0.17-0.14,0.26-0.21c0.1-0.08,0.19-0.17,0.28-0.25c0.08-0.07,0.15-0.15,0.23-0.23c0.09-0.09,0.18-0.19,0.26-0.29c0.07-0.08,0.13-0.16,0.2-0.24c0.08-0.11,0.16-0.21,0.24-0.32c0.06-0.08,0.12-0.16,0.17-0.25c0.07-0.11,0.14-0.23,0.21-0.35c0.05-0.09,0.1-0.18,0.15-0.27c0.06-0.12,0.12-0.24,0.17-0.36c0.04-0.1,0.09-0.19,0.13-0.29c0.05-0.12,0.09-0.24,0.13-0.36c0.04-0.11,0.08-0.21,0.11-0.32c0.03-0.12,0.06-0.23,0.09-0.35c0.03-0.12,0.06-0.24,0.08-0.36c0.02-0.12,0.04-0.24,0.05-0.36c0.02-0.12,0.04-0.25,0.05-0.37c0-0.02,0.01-0.04,0.01-0.05l3.76-43.15h38.76c22.98,0,33.34,11.91,44.31,24.51c9.05,10.4,19.16,22.01,36.34,24.84C492.97,267.07,489.44,296.69,487.86,309.66zM496.43,228.97c-11.14-2.27-18-10.11-26.31-19.65c-10.39-11.93-23.07-26.5-47.39-29.21l3.88-44.55c39.76,5.88,70.38,40.23,70.38,81.6C497,219.97,496.79,224.06,496.43,228.97zM171.01,289.66c-15.16,0-27.5,12.34-27.5,27.5s12.34,27.5,27.5,27.5s27.5-12.34,27.5-27.5C198.51,301.99,186.17,289.66,171.01,289.66z M171.01,329.66c-6.89,0-12.5-5.61-12.5-12.5s5.61-12.5,12.5-12.5s12.5,5.61,12.5,12.5S177.9,329.66,171.01,329.66zM404.5,289.66c-15.16,0-27.5,12.34-27.5,27.5s12.34,27.5,27.5,27.5s27.5-12.34,27.5-27.5C432,301.99,419.66,289.66,404.5,289.66zM404.5,329.66c-6.89,0-12.5-5.61-12.5-12.5s5.61-12.5,12.5-12.5s12.5,5.61,12.5,12.5S411.39,329.66,404.5,329.66zM71,119.66H34.33c-4.14,0-7.5,3.36-7.5,7.5s3.36,7.5,7.5,7.5H71c4.14,0,7.5-3.36,7.5-7.5S75.14,119.66,71,119.66z"/>
								</svg>
							</div>
						<?php } ?>
                            <h4 class="fc-reserve"><?php echo $this->config->item('site_settings')->estimated_delivery_time.' '.$this->config->item('site_settings')->delivery_time ;?><?php if($this->config->item('site_settings')->estimated_delivery_time>1){ echo "s"; } ?></h4>
                            <div class="fc-summary">Average Delivery Time</div>
                        </div>
                    </div>
                    <div class="col-md-3 col-sm-6 col-xs-6">
                        <div class="fc-services text-center">
						<?php if(!$this->config->item('site_settings')->information_bar == "noicon" || $this->config->item('site_settings')->information_bar == "showall"){ ?>
                            <div class="fc-services-icon">
								<svg version="1.1" class="icon-svg" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px"  viewBox="0 0 512 512" style="enable-background:new 0 0 512 512;" xml:space="preserve">
									<path class="icon-shape"   d="M382,0H236c-5.52,0-10,4.48-10,10s4.48,10,10,10h146c60.65,0,110,49.34,110,110v252c0,60.66-49.35,110-110,110H130c-60.65,0-110-49.34-110-110V130C20,69.34,69.35,20,130,20h26c5.52,0,10-4.48,10-10s-4.48-10-10-10h-26C58.32,0,0,58.32,0,130v252c0,71.68,58.32,130,130,130h252c71.68,0,130-58.32,130-130V130C512,58.32,453.68,0,382,0zM356,472h26c49.62,0,90-40.38,90-90V130c0-49.62-40.38-90-90-90H130c-49.62,0-90,40.38-90,90v252c0,49.62,40.38,90,90,90h146c5.52,0,10-4.48,10-10s-4.48-10-10-10H130c-38.6,0-70-31.4-70-70V130c0-38.6,31.4-70,70-70h252c38.6,0,70,31.4,70,70v252c0,38.6-31.4,70-70,70h-26c-5.52,0-10,4.48-10,10S350.48,472,356,472zM366,256c0-60.65-49.35-110-110-110s-110,49.35-110,110s49.35,110,110,110S366,316.65,366,256zM256,346c-49.62,0-90-40.38-90-90s40.38-90,90-90s90,40.38,90,90S305.62,346,256,346zM256,186c-38.6,0-70,31.4-70,70s31.4,70,70,70s70-31.4,70-70S294.6,186,256,186zM256,306c-27.57,0-50-22.43-50-50s22.43-50,50-50s50,22.43,50,50S283.57,306,256,306zM422,130c0-22.06-17.95-40-40-40c-22.06,0-40,17.94-40,40c0,22.05,17.94,40,40,40C404.05,170,422,152.06,422,130zM362,130c0-11.03,8.97-20,20-20s20,8.97,20,20c0,11.03-8.97,20-20,20S362,141.03,362,130zM196,20c5.52,0,10-4.48,10-10s-4.48-10-10-10H196c-5.52,0-10,4.48-10,10S190.48,20,196,20z M316,452c-5.52,0-10,4.48-10,10s4.48,10,10,10s10-4.48,10-10S321.53,452,316,452L316,452z
									"/>
									</svg>
							</div>
						<?php } if (isset($this->config->item('social_networks')->instagram) && $this->config->item('social_networks')->instagram != '') { ?>
                            <h4 class="fc-reserve">Instagram</h4>
                            <div class="fc-summary"><a href="<?php echo $this->config->item('social_networks')->instagram; ?>" title="Follow us on Instagram" target="_blank"><?php echo $this->config->item('social_networks')->ig_handle ?> </a></div>
                            <?php
                            } 
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </section>
		
	<?php } } ?>