<?php
$signup_modal='signup';
$forgot_modal='forgot_pwd';
$lgin_modal='login';

?>
<div class="privacy-section cs-gray-bg p-20">
    <div class="container">
        <div class="row">
            <div class="section-header text-left">
                <h1><?php if (isset($pagetitle)) echo $pagetitle; ?></h1>

            </div>
            <div class="col l12">
                <div class="cs-question">
                    <?php echo $this->session->flashdata('message'); ?>


                    <?php
                    $attributes = array(
                        'name' => 'login_form',
                        'id' => 'login_form',
                        'class' => 'form-horizontal'
                    );
                    echo form_open(URL_AUTH_LOGIN, $attributes); ?>

                    <div class="form-group">
                        <?php
                        $val = '';
                        if (isset($_POST['login'])) {
                            $val = set_value('email');
                        }
                        $element = array(
                            'name' => 'email',
                            'id' => 'lemail',
                            'type' => 'email',
                            'class' => 'form-control form-control-lg',
                            'placeholder' => get_languageword('email')
                        );
                        echo form_input($element) . form_error('email');
                        ?>
                    </div>



                    <div class="form-group">
                        <?php
                        $val = '';
                        if (isset($_POST['login'])) {
                            $val = set_value('password');
                        }
                        $element = array(
                            'name' => 'password',
                            'id' => 'lpassword',
                            'type' => 'password',
                            'class' => 'form-control form-control-lg',
                            'placeholder' => get_languageword('password')
                        );
                        echo form_input($element) . form_error('password');
                        ?>
                    </div>


                    <div class="form-group">
                        <button type="submit" name="login" class="btn btn-primary btn-block "><b><?php echo get_languageword('login'); ?></b></button>
                    </div>

                    <div class="form-group">

                        <a href="#" onclick="show_popup('<?php echo $forgot_modal; ?>')" class="forgot-password-link "><?php echo get_languageword('forgot_password?'); ?></a>
                    </div>

                    <?php echo form_close(); ?>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- FP Modal -->
<div id="forgot-pwd-modal" class="modal fade login-component" role="dialog">
  <div class="modal-dialog ">
    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-body">
       <div class="login-block">
                 <button type="button" class="close modal-close" data-dismiss="modal">&times;</button>
                <div class="login-block-header text-center"><img src="<?php echo FRONT_IMAGES;?>food.svg" alt="Forgot Password" class="d-icon"><?php echo get_languageword('forgot_password?');?></div>
				
				<?php echo $this->session->flashdata('message'); ?>
				
				
               <?php 

					 $attributes = array('name'=>'forgot_password_form','id'=>'forgot_password_form','class'=>'crunch-change');

					 echo form_open(URL_AUTH_FORGOT_PASSWORD,$attributes);?>
					 
                    <div class="form-group">
					
					 <?php 

						 $val='';

						 if(isset($_POST['forgot_pwd']))

						 {

							 $val = set_value('email');

						 }

						 $element = array('name'=>'email',

										  // 'id'=>'email',

										  'type'=>'email',

										  'class'=>'form-control form-control-lg',

										  'placeholder'=>get_languageword('email'));

						echo form_input($element).form_error('email');		

						 ?>
						 
                    </div>
					
                    
					
                    <div class="form-group">
                        <button type="submit" name="forgot_pwd" class="btn btn-primary btn-block "><b><?php echo get_languageword('submit');?></b></button>
                    </div>
					
                </form>
              
            </div>
      </div>
    </div>
  </div>
</div>
<!-- FP Modal -->	





<script type="text/javascript">
(function($,W,D)
{
      var JQUERY4U = {};
   
      JQUERY4U.UTIL =
      {
          setupFormValidation: function()
          {
              //Additional Methods

			//form validation rules
              $("#login_form").validate({
					ignore: "",
                  rules: {
					 email: {
						 required: true,
						 email:true
					 },
                     password: {
						required: true
					 }
					 
                  },
				 messages: {
					 email: {
						 required: "<?php echo get_languageword('email_required');?>"
					 },
                     password: {
						required: "<?php echo get_languageword('password_required');?>"
					 }
   			},
                  
                  submitHandler: function(form) {
                      form.submit();
                  }
              });
			  
			  
			  
			  
			

              $("#forgot_password_form").validate({

					ignore: "",

                  rules: {

					 email: {
						 required: true,
						 email: true
					 }
                  },

				 messages: {

					 email: {

						 required: "<?php echo get_languageword('email_required');?>"

					 }


   			},

                  

                  submitHandler: function(form) {

                      form.submit();

                  }

              });
			  
          }
      }
   
      //when the dom has loaded setup form validation rules
      $(D).ready(function($) {
          JQUERY4U.UTIL.setupFormValidation();
      });
   
   })(jQuery, window, document); 
</script>


<script type="text/javascript">
// A $( document ).ready() block.
$( document ).ready(function() {


$.ajaxPrefilter(function( options, originalOptions, jqXHR ) { options.async = true; });

	
    <?php 
	$popup_type='';
	if ($this->session->userdata('loginup'))
		$popup_type='login';
		
		
	if ($this->session->userdata('signup_popup'))
		$popup_type='signup';
		
		
	if ($this->session->userdata('forgtup'))
		$popup_type='forgot_pwd';
	
	
	
	if ($popup_type!='') {?>
	show_popup('<?php echo $popup_type;?>');
	<?php } ?>
});



function show_popup(type) {
	
	<?php
	/* if ($this->ion_auth->logged_in()) {
		redirect(SITEURL);
	} */

	
	if ($this->session->userdata('loginup'))
		$this->session->unset_userdata('loginup');
	 
	if ($this->session->userdata('signup_popup'))
		$this->session->unset_userdata('signup_popup');
	
	if ($this->session->userdata('forgtup'))
		$this->session->unset_userdata('forgtup');
	?>
	
	$("#login-modal").modal('hide');
	$("#register-modal").modal('hide');
	$("#forgot-pwd-modal").modal('hide');
	
	if (type=='login') {
		$("#login-modal").modal('show');
	} else if (type=='signup') {
		$("#register-modal").modal('show');
	} else if (type=='forgot_pwd') {
		$("#forgot-pwd-modal").modal('show');
	}
}
$(document).ready(function() {
		$('#topfeatures,.hero-banner').hide();
	});
</script>

